static const char *RcsId = "$Header: $";
//+=============================================================================
//
// file :        main.cpp
//
// description : C++ source for a TANGO device server main.
//               The main rule is to initialise (and create) the Tango
//               system and to create the DServerClass singleton.
//               The main should be the same for every Tango device server.
//
// project :     TANGO Device Server
//
// $Author: claudio $
//
// $Revision: 1.4 $ $
//
// $Log: main.cpp,v $
// Revision 1.4  2017-08-21 11:53:40  claudio
// #1554 tango-9.2.5a
//
// Revision 1.3  2010/11/09 13:03:34  zambonl
// .ndd
//
// Revision 1.2  2010/09/27 12:00:27  zambonl
//
// Revision 1.1.1.1  2009/04/03 09:11:57  sara
// first import
//
//
// copyleft :    European Synchrotron Radiation Facility
//               BP 220, Grenoble 38043
//               FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#define CVSVERSION "$Name: $"

char useless[80];


int main(int argc,char *argv[])
{
	strncpy(useless, CVSVERSION, 79);
	Tango::Util *tg;
	try
	{
		// Initialise the device server
		//----------------------------------------
		tg = Tango::Util::init(argc,argv);

		// Create the device server singleton 
		//	which will create everything
		//----------------------------------------
		tg->server_init(false);

		// Run the endless loop
		//----------------------------------------
		cout << "Ready to accept request" << endl;
		tg->server_run();
	}
	catch (bad_alloc)
	{
		cout << "Can't allocate memory to store device object !!!" << endl;
		cout << "Exiting" << endl;
	}
	catch (CORBA::Exception &e)
	{
		Tango::Except::print_exception(e);
		
		cout << "Received a CORBA_Exception" << endl;
		cout << "Exiting" << endl;
	}
	tg->server_cleanup();
	return(0);
}
