static const char *RcsId = "$Header: $";
//+=============================================================================
//
// file :         FSafety.cpp
//
// description :  C++ source for the FSafety and its commands. 
//                The class is derived from Device. It represents the
//                CORBA servant object which will be accessed from the
//                network. All commands which can be executed on the
//                FSafety are implemented in this file.
//
// project :      TANGO Device Server
//
// $Author: graziano $
//
// $Revision: 1.37 $
//
// $Log: FSafety.cpp,v $
// Revision 1.37  2017-08-24 07:51:16  graziano
// added Undulator_board_disabled_xxx attributes and fixed Version
//
// Revision 1.36  2017-08-21 11:53:40  claudio
// #1554 tango-9.2.5a
//
// Revision 1.35  2017-07-24 08:31:04  graziano
// Added uh plc version
//
// Revision 1.34  2016-04-06 10:17:58  graziano
// fixed sw version from CVS
//
// Revision 1.33  2016-04-06 10:05:51  graziano
// added sw version from CVS
//
// Revision 1.32  2016-03-17 13:49:53  graziano
// added new board disabled attributes
//
// Revision 1.31  2016-01-22 11:13:39  graziano
// mo some signal computations fro server to plc
//
// Revision 1.30  2015-07-06 08:12:40  graziano
// fixed for ctf
//
// Revision 1.29  2015-07-03 12:57:11  graziano
// fixed for CTF
//
// Revision 1.28  2015-01-21 09:45:29  graziano
// Device_4Impl and fixed ntohs
//
// Revision 1.27  2013-01-11 10:05:30  zambonl
// .ndd
//
// Revision 1.26  2012-06-18 10:16:53  zambonl
// .ndd
//
// Revision 1.25  2012-04-06 07:47:42  zambonl
// .ndd
//
// Revision 1.24  2012-04-03 12:31:52  zambonl
// .ndd
//
// Revision 1.23  2010/11/09 14:55:08  zambonl
// .ndd
//
// Revision 1.22  2010/11/09 13:03:34  zambonl
// .ndd
//
// Revision 1.21  2010/11/09 10:32:37  zambonl
// .ndd
//
// Revision 1.20  2010/09/27 12:00:27  zambonl
//
// Revision 1.18  2010/08/27 15:06:19  zambonl
// .
//
// Revision 1.17  2010/08/26 10:20:35  zambonl
// .
//
// Revision 1.16  2010/07/09 11:03:42  zambonl
// ndd
//
// Revision 1.15  2010/06/21 14:44:17  zambonl
// ndd
//
// Revision 1.14  2010/06/16 15:17:24  zambonl
// ndd
//
// Revision 1.13  2010/06/16 06:34:42  zambonl
// ndd
//
// Revision 1.12  2010/06/10 16:41:12  zambonl
// ndd
//
// Revision 1.11  2010/01/28 13:45:14  zambonl
// ndd
//
// Revision 1.10  2010/01/28 11:03:53  zambonl
// ndd
//
// Revision 1.9  2009/09/04 14:26:54  sara
// fixed bug 'too many DB-names requests'
//
// Revision 1.8  2009/08/28 10:35:52  sara
// Actived periodic refresh of names table
//
// Revision 1.7  2009/07/16 07:53:59  sara
// added command for door acknowledge, fixed bugs
//
// Revision 1.6  2009/07/13 12:39:28  sara
// commands ready
//
// Revision 1.5  2009/06/11 14:43:10  sara
// ll attributes are now static
//
// Revision 1.4  2009/04/27 08:17:34  sara
// added generig command SendCmd
//
// Revision 1.3  2009/04/21 14:32:49  sara
// fixed bug in dynamic StringSpectrumAttributes
//
// Revision 1.2  2009/04/20 12:13:09  sara
// added dynamic attributes for DevShort and DevString types
//
// Revision 1.1.1.1  2009/04/03 09:11:57  sara
// first import
//
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

// --------------------------------------------------------------------------------------
// db       # bit    attribute       (variables in ll)           id in configuration file
// --------------------------------------------------------------------------------------
// DB50     2432     Access_image    (acc_msg msg_acc)           Access_image
// DB51     3040     Alarm_image     (stat_msg msg_alm)          Stat_image
// DB121     116     Search_names    (info_msg search_names)
// DB122     116     Ctrl_names      (info_msg ctrl_names)
// --------------------------------------------------------------------------------------


//===================================================================
//
//	The following table gives the correspondence
//	between commands and method name.
//
//  Command name            |  Method name
//	----------------------------------------
//  State                   |  dev_state()
//  Status                  |  dev_status()
//  LinacSwitchConf         |  linac_switch_conf()
//  LinacDelPosto           |  linac_del_posto()
//  LinacBstOpen            |  linac_bst_open()
//  LinacBstClose           |  linac_bst_close()
//  LinacRPasv              |  linac_rpasv()
//  LinacEmeAck             |  linac_eme_ack()
//  LinacEmeTLAck           |  linac_eme_tlack()
//  LinacSearchRequest      |  linac_search_request()
//  LinacSearchStart        |  linac_search_start()
//  LinacSearchStop         |  linac_search_stop()
//  LinacDoorReset          |  linac_door_reset()
//  LinacDoorOpen           |  linac_door_open()
//  LinacAckDoor            |  linac_ack_door()
//  LinacService            |  linac_service()
//  UndulatorDelPosto       |  undulator_del_posto()
//  UndulatorBstOpen        |  undulator_bst_open()
//  UndulatorBstClose       |  undulator_bst_close()
//  UndulatorRPasv          |  undulator_rpasv()
//  UndulatorEmeAck         |  undulator_eme_ack()
//  UndulatorSearchRequest  |  undulator_search_request()
//  UndulatorSearchStart    |  undulator_search_start()
//  UndulatorSearchStop     |  undulator_search_stop()
//  UndulatorDoorReset      |  undulator_door_reset()
//  UndulatorDoorOpen       |  undulator_door_open()
//  UndulatorAckDoor        |  undulator_ack_door()
//  UndulatorService        |  undulator_service()
//
//===================================================================


#include <tango.h>
#include <FSafety.h>
#include <FSafetyClass.h>
#include <netinet/in.h>


namespace FSafety_ns
{

//+----------------------------------------------------------------------------
//
// method : 		FSafety::FSafety(string &s)
// 
// description : 	constructor for simulated FSafety
//
// in : - cl : Pointer to the DeviceClass object
//      - s : Device name 
//
//-----------------------------------------------------------------------------
FSafety::FSafety(Tango::DeviceClass *cl,string &s)
:TANGO_BASE_CLASS(cl,s.c_str())
{
	init_device();
}

FSafety::FSafety(Tango::DeviceClass *cl,const char *s)
:TANGO_BASE_CLASS(cl,s)
{
	init_device();
}

FSafety::FSafety(Tango::DeviceClass *cl,const char *s,const char *d)
:TANGO_BASE_CLASS(cl,s,d)
{
	init_device();
}


float FSafety::ntohf(float val_f)
{
	float *ret_val;
	uint32_t *val_l;
	uint32_t ret_val_l;
	
	val_l = (uint32_t *)&val_f;
#if 1
	ret_val_l = ntohl(*val_l);
#else
# if __BYTE_ORDER == __LITTLE_ENDIAN
	ret_val_l = __bswap_32(*val_l);
#else
	ret_val_l = *val_l;
#endif
#endif
	ret_val=(float *)&ret_val_l;

	return *ret_val;
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::delete_device()
// 
// description : 	will be called at device destruction or at init command.
//
//-----------------------------------------------------------------------------
void FSafety::delete_device()
{
	//	Delete device's allocated object
//cout<<"step 1"<<endl;
	for(int k=0;k<MAX_N_ATTR;k++){
		if(att_names[k])
			delete [] att_names[k];
		if(att_db[k])
			delete [] att_db[k];
		
		delete [] att_names_undulator[k];
		delete [] att_db_undulator[k];
		
		for(int j=0;j<MAX_ALL;j++){
			delete [] (val_labels[k])[j];
			delete [] (val_pos[k])[j];
			delete [] (val_labels_undulator[k])[j];
			delete [] (val_pos_undulator[k])[j];
		}
		
		delete [] val_labels_undulator[k];
		delete [] val_pos_undulator[k];
		delete []  val_labels[k];
		delete []  val_pos[k];
		delete [] pos_idx[k];
		delete [] pos_idx_undulator[k];
	}
	
	for(int k=0;k<found_bool;k++){
		delete [] val_bool[k];
		delete [] val_bool_undulator[k];

	}
	for(int k=0;k<found_short;k++){
		delete [] val_short[k];
		delete [] val_short_undulator[k];
	}
	for(int k=0;k<found_byt;k++){
		delete [] val_byt[k];
		delete [] val_byt_undulator[k];
	}
	for(int k=0;k<found_real;k++){
		delete [] val_real[k];
		delete [] val_real_undulator[k];
	}

	for(int k=0;k<found_string;k++){
		for(int j=0;j<MAX_STRING;j++){
			delete [] (val_string[k])[j];
		}
		delete [] val_string[k];
		for(int j=0;j<MAX_STRING;j++){
			delete [] (val_string_undulator[k])[j];
		}
		delete [] val_string_undulator[k];
	}
	
	for(int k=0;k<MAX_N_DB;k++){
		delete [] dbb_names[k];
		delete [] dbs_names[k];
	}
	delete[] attr_Version_read;
//cout<<"step 2"<<endl;
	for(int k=0;k<MAX_N_CMD;k++){
		if(cmd_names[k])
			delete [] cmd_names[k];
		if(cmd_names_undulator[k])
			delete [] cmd_names_undulator[k];
	}
//cout<<"step 3"<<endl;
	for(int k=0;k<MESG_STAT_MAX_LEN;k++){
		delete [] labels_stat[k];
		delete [] descr_stat[k];
	}
//cout<<"step 4"<<endl;
	for(int k=0;k<MESG_ALM_MAX_LEN;k++){
		delete [] labels_alm[k];
		delete [] descr_alm[k];
	}
//cout<<"step 5"<<endl;
	if(ll_server)
		delete ll_server;
	if(ll_server_undulator)
		delete ll_server_undulator;
//cout<<"step 6"<<endl;


	delete mutex;
	delete attr_Undulator_mbd_fel_1_read;
	delete attr_Undulator_mbd_fel_2_read;
	delete attr_Undulator_mbd_01_read;
	delete attr_Undulator_sprd_fel_1_read;
	delete attr_Undulator_sprd_fel_2_read;
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::init_device()
// 
// description : 	will be called at device initialization.
//
//-----------------------------------------------------------------------------
void FSafety::init_device()
{
	INFO_STREAM << "FSafety::FSafety() create device " << device_name << endl;

	// Initialise variables to default values
	//--------------------------------------------
cout << "init_device(), start" << endl;	
	found_attr = 0;
	found_bool = 0;
	found_short = 0;
	found_byt = 0;
	found_string = 0;
	found_real = 0;

	found_attr_undulator = 0;
	found_bool_undulator = 0;
	found_short_undulator = 0;
	found_byt_undulator = 0;
	found_string_undulator = 0;
	found_real_undulator = 0;
	rfsh = 0;
	get_device_property();
cout << "init_device(), get_device_property()" << endl;	

	try {
		ll_server = new Tango::DeviceProxy(low_level_srv);
		if (ll_server->ping()) {
			plc_status = true;
			set_state(Tango::ON);	
			set_status("Connected to device " + low_level_srv);
			cout <<  "Connected to device:"   << low_level_srv<< endl;
		}	
	} 
	catch(Tango::DevFailed e) {
		plc_status = false;
		set_state(Tango::FAULT);
		set_status("low level device not found");
		cout <<  "Failed to connect to device "   << low_level_srv << endl;
	}
	ll_server_undulator = NULL;
	try {
		ll_server_undulator = new Tango::DeviceProxy(undulator_low_level_srv);
		if (ll_server_undulator->ping()) {
			plc_status_undulator = true;
			set_state(Tango::ON);	
			set_status("Connected to device " + undulator_low_level_srv);
			cout <<  "Connected to device:"   << undulator_low_level_srv<< endl;
		}	
	} 
	catch(Tango::DevFailed e) {
		plc_status_undulator = false;
		set_state(Tango::FAULT);
		set_status("low level device not found");
		cout <<  "Failed to connect to device "   << undulator_low_level_srv << endl;
	}
	attr_Version_read = new Tango::DevString[1];
	for(int i=0;i<NUM_KEYS;i++){
		busy_key[i] = true;
		busy_key_undulator[i] = true;
	}
//init containers for server data
	for(int i=0;i<MESG_STAT_LEN;i++){
		msg_stat[i] = true;
	}
	for(int k=0;k<MAX_N_ATTR;k++){
		att_names[k] = new char[MAX_LEN_LABEL+1];
		memset(att_names[k], 0, MAX_LEN_LABEL+1);
		att_len[k] = 0;
		att_db[k] = new char[MAX_LEN_LABEL+1];
		memset(att_db[k], 0, MAX_LEN_LABEL+1);
		att_type[k] = 0;
		
		att_names_undulator[k] = new char[MAX_LEN_LABEL+1];
		memset(att_names_undulator[k], 0, MAX_LEN_LABEL+1);
		att_len_undulator[k] = 0;
		att_db_undulator[k] = new char[MAX_LEN_LABEL+1];
		memset(att_db_undulator[k], 0, MAX_LEN_LABEL+1);
		att_type_undulator[k] = 0;
	}
	for(int k=0;k<MAX_N_DB;k++){
		dbb_names[k] = new char[MAX_LEN_LABEL+1];
		memset(dbb_names[k], 0, MAX_LEN_LABEL+1);
		dbb_len[k]= 0;
		dbs_names[k] = new char[MAX_LEN_LABEL+1];
		memset(dbs_names[k], 0, MAX_LEN_LABEL+1);
		dbs_len[k]= 0;
	}
	for(int k=0;k<MAX_N_CMD;k++){
		cmd_names[k] = new char[MAX_LEN_LABEL+1];
		memset(cmd_names[k], 0, MAX_LEN_LABEL+1);
		cmd_codes[k] = 0;
		cmd_limits[k] = 0;

		cmd_names_undulator[k] = new char[MAX_LEN_LABEL+1];
		memset(cmd_names_undulator[k], 0, MAX_LEN_LABEL+1);
		cmd_codes_undulator[k] = 0;
		cmd_limits_undulator[k] = 0;
	}
	for(int k=0;k<(int)cmdCodeDescription.size();k++){
		sscanf(cmdCodeDescription[k].c_str(), "%d, %s\t%d", (int*)&cmd_codes[k], cmd_names[k], (int*)&cmd_limits[k]);
		cout<<"read command "<<k<<"-"<<cmd_codes[k]<<"-"<<cmd_names[k]<<" limit: "<<cmd_limits[k]<<endl;
	}
	for(int k=0;k<(int)undulatorCmdCodeDescription.size();k++){
		sscanf(undulatorCmdCodeDescription[k].c_str(), "%d, %s\t%d", (int*)&cmd_codes_undulator[k], cmd_names_undulator[k], (int*)&cmd_limits_undulator[k]);
		cout<<"read undulator command "<<k<<"-"<<cmd_codes_undulator[k]<<"-"<<cmd_names_undulator[k]<<" limit: "<<cmd_limits_undulator[k]<<endl;
	}
	for(int k=0;k<MESG_STAT_MAX_LEN;k++){
		labels_stat[k] = new char[MAX_LEN_LABEL+1];
		memset(labels_stat[k], 0, MAX_LEN_LABEL+1);
		descr_stat[k] = new char[MAX_LEN_DESC+1];
		memset(descr_stat[k], 0, MAX_LEN_DESC+1);
	}
	for(int k=0;k<MESG_ALM_MAX_LEN;k++){
		labels_alm[k] = new char[MAX_LEN_LABEL+1];
		memset(labels_alm[k], 0, MAX_LEN_LABEL+1);
		descr_alm[k] = new char[MAX_LEN_DESC+1];
		memset(descr_alm[k], 0, MAX_LEN_DESC+1);
	}
        timestamp_stat = 0;
        timestamp_alm = 0;
//	read data filename
	for(int k=0;k<10;k++){
		lsc[k] = 0;//support for linac_switches_config
	}
	for(int k=0;k<11;k++){
		lmp[k] = false;//support for linac_mod_positions
	}
	mutex = new omni_mutex();

	for(int k=0;k<MAX_N_ATTR;k++){
		pos_idx[k] = new start_idx[MAX_ALL];
		for(int j=0;j<MAX_ALL;j++){
			(pos_idx[k])[j].bit_pos = -1;
			(pos_idx[k])[j].byte_pos = -1;
		}
		pos_idx_undulator[k] = new start_idx[MAX_ALL];
		for(int j=0;j<MAX_ALL;j++){
			(pos_idx_undulator[k])[j].bit_pos = -1;
			(pos_idx_undulator[k])[j].byte_pos = -1;
		}
	}
	for(int k=0;k<MAX_N_ATTR;k++){
		val_labels[k] = new Tango::DevString[MAX_ALL];
		val_pos[k] = new Tango::DevString[MAX_ALL];
		for(int j=0;j<MAX_ALL;j++){
			(val_labels[k])[j] = new char[MAX_LEN_LABEL+1];
			memset((val_labels[k])[j], 0, MAX_LEN_LABEL+1);
			strcpy((val_labels[k])[j], "lll\0");
			(val_pos[k])[j] = new char[MAX_LEN_LABEL+1];
			memset((val_pos[k])[j], 0, MAX_LEN_LABEL+1);
			strcpy((val_pos[k])[j], "ppp\0");
		}
		val_labels_undulator[k] = new Tango::DevString[MAX_ALL];
		val_pos_undulator[k] = new Tango::DevString[MAX_ALL];
		for(int j=0;j<MAX_ALL;j++){
			(val_labels_undulator[k])[j] = new char[MAX_LEN_LABEL+1];
			memset((val_labels_undulator[k])[j], 0, MAX_LEN_LABEL+1);
			strcpy((val_labels_undulator[k])[j], "lll\0");
			(val_pos_undulator[k])[j] = new char[MAX_LEN_LABEL+1];
			memset((val_pos_undulator[k])[j], 0, MAX_LEN_LABEL+1);
			strcpy((val_pos_undulator[k])[j], "ppp\0");
		}
	}

	start_file = data_config;
	DEBUG_STREAM<<"loading srv config from file: "<< start_file <<endl;
	load_cond();
	//cout<<"loaded info from file: "<< start_file <<" found_attr-"<< found_attr<<endl;
	init_attributeprop();
	DEBUG_STREAM<<"found: bool-"<< found_bool <<" short-"<< found_short<<" byt-"<< found_byt<<" string-"<<found_string<<endl;
	

	for(int k=0;k<found_bool;k++){
		val_bool[k] = new Tango::DevBoolean[MAX_BOOL];
		for(int j=0;j<MAX_BOOL;j++){
			(val_bool[k])[j] = true;
		}
		val_bool_undulator[k] = new Tango::DevBoolean[MAX_BOOL];
		for(int j=0;j<MAX_BOOL;j++){
			(val_bool_undulator[k])[j] = true;
		}

	}
	for(int k=0;k<found_short;k++){
		val_short[k] = new Tango::DevShort[MAX_SHORT];
		for(int j=0;j<MAX_SHORT;j++){
			(val_short[k])[j] = -1;
		}
		val_short_undulator[k] = new Tango::DevShort[MAX_SHORT];
		for(int j=0;j<MAX_SHORT;j++){
			(val_short_undulator[k])[j] = -1;
		}
	}
	for(int k=0;k<found_byt;k++){
		val_byt[k] = new Tango::DevShort[MAX_SHORT];
		for(int j=0;j<MAX_SHORT;j++){
			(val_byt[k])[j] = 0;
		}
		val_byt_undulator[k] = new Tango::DevShort[MAX_SHORT];
		for(int j=0;j<MAX_SHORT;j++){
			(val_byt_undulator[k])[j] = 0;
		}
	}
	for(int k=0;k<found_real;k++){
		val_real[k] = new Tango::DevFloat[MAX_REAL];
		for(int j=0;j<MAX_REAL;j++){
			(val_real[k])[j] = 0;
		}
		val_real_undulator[k] = new Tango::DevFloat[MAX_SHORT];
		for(int j=0;j<MAX_REAL;j++){
			(val_real_undulator[k])[j] = 0;
		}
	}

	for(int k=0;k<found_string;k++){
		val_string[k] = new Tango::DevString[MAX_STRING];
		for(int j=0;j<MAX_STRING;j++){
//			cout<<"i="<<i<<" j="<<j<<" creating [i*found_string+j]"<<i*found_string+j<<endl;
			(val_string[k])[j] = new char[NAME_LEN+1];
			memset((val_string[k])[j], 0, NAME_LEN+1);
			strcpy((val_string[k])[j], " \0");
		}
		val_string_undulator[k] = new Tango::DevString[MAX_STRING];
		for(int j=0;j<MAX_STRING;j++){
			(val_string_undulator[k])[j] = new char[NAME_LEN+1];
			memset((val_string_undulator[k])[j], 0, NAME_LEN+1);
			strcpy((val_string_undulator[k])[j], " \0");
		}
	}
	attr_Undulator_mbd_fel_1_read = new Tango::DevShort;
	attr_Undulator_mbd_fel_2_read = new Tango::DevShort;
	attr_Undulator_mbd_01_read = new Tango::DevShort;
	attr_Undulator_sprd_fel_1_read = new Tango::DevShort;
	attr_Undulator_sprd_fel_2_read = new Tango::DevShort;
}


//+----------------------------------------------------------------------------
//
// method : 		FSafety::get_device_property()
// 
// description : 	Read the device properties from database.
//
//-----------------------------------------------------------------------------
void FSafety::get_device_property()
{
	//	Initialize your default values here (if not done with  POGO).
	//------------------------------------------------------------------

	//	Read device properties from database.(Automatic code generation)
	//------------------------------------------------------------------
	Tango::DbData	dev_prop;
	dev_prop.push_back(Tango::DbDatum("Low_level_srv"));
	dev_prop.push_back(Tango::DbDatum("Undulator_low_level_srv"));
	dev_prop.push_back(Tango::DbDatum("Data_config"));
	dev_prop.push_back(Tango::DbDatum("CmdCodeDescription"));
	dev_prop.push_back(Tango::DbDatum("UndulatorCmdCodeDescription"));

	//	Call database and extract values
	//--------------------------------------------
	if (Tango::Util::instance()->_UseDb==true)
		get_db_device()->get_property(dev_prop);
	Tango::DbDatum	def_prop, cl_prop;
	FSafetyClass	*ds_class =
		(static_cast<FSafetyClass *>(get_device_class()));
	int	i = -1;

	//	Try to initialize Low_level_srv from class property
	cl_prop = ds_class->get_class_property(dev_prop[++i].name);
	if (cl_prop.is_empty()==false)	cl_prop  >>  low_level_srv;
	else {
		//	Try to initialize Low_level_srv from default device value
		def_prop = ds_class->get_default_device_property(dev_prop[i].name);
		if (def_prop.is_empty()==false)	def_prop  >>  low_level_srv;
	}
	//	And try to extract Low_level_srv value from database
	if (dev_prop[i].is_empty()==false)	dev_prop[i]  >>  low_level_srv;

	//	Try to initialize Undulator_low_level_srv from class property
	cl_prop = ds_class->get_class_property(dev_prop[++i].name);
	if (cl_prop.is_empty()==false)	cl_prop  >>  undulator_low_level_srv;
	else {
		//	Try to initialize Undulator_low_level_srv from default device value
		def_prop = ds_class->get_default_device_property(dev_prop[i].name);
		if (def_prop.is_empty()==false)	def_prop  >>  undulator_low_level_srv;
	}
	//	And try to extract Undulator_low_level_srv value from database
	if (dev_prop[i].is_empty()==false)	dev_prop[i]  >>  undulator_low_level_srv;

	//	Try to initialize Data_config from class property
	cl_prop = ds_class->get_class_property(dev_prop[++i].name);
	if (cl_prop.is_empty()==false)	cl_prop  >>  data_config;
	else {
		//	Try to initialize Data_config from default device value
		def_prop = ds_class->get_default_device_property(dev_prop[i].name);
		if (def_prop.is_empty()==false)	def_prop  >>  data_config;
	}
	//	And try to extract Data_config value from database
	if (dev_prop[i].is_empty()==false)	dev_prop[i]  >>  data_config;

	//	Try to initialize CmdCodeDescription from class property
	cl_prop = ds_class->get_class_property(dev_prop[++i].name);
	if (cl_prop.is_empty()==false)	cl_prop  >>  cmdCodeDescription;
	else {
		//	Try to initialize CmdCodeDescription from default device value
		def_prop = ds_class->get_default_device_property(dev_prop[i].name);
		if (def_prop.is_empty()==false)	def_prop  >>  cmdCodeDescription;
	}
	//	And try to extract CmdCodeDescription value from database
	if (dev_prop[i].is_empty()==false)	dev_prop[i]  >>  cmdCodeDescription;

	//	Try to initialize UndulatorCmdCodeDescription from class property
	cl_prop = ds_class->get_class_property(dev_prop[++i].name);
	if (cl_prop.is_empty()==false)	cl_prop  >>  undulatorCmdCodeDescription;
	else {
		//	Try to initialize UndulatorCmdCodeDescription from default device value
		def_prop = ds_class->get_default_device_property(dev_prop[i].name);
		if (def_prop.is_empty()==false)	def_prop  >>  undulatorCmdCodeDescription;
	}
	//	And try to extract UndulatorCmdCodeDescription value from database
	if (dev_prop[i].is_empty()==false)	dev_prop[i]  >>  undulatorCmdCodeDescription;



	//	End of Automatic code generation
	//------------------------------------------------------------------
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::always_executed_hook()
// 
// description : 	method always executed before any command is executed
//
//-----------------------------------------------------------------------------
void FSafety::always_executed_hook_undulator()
{

	
	gettimeofday(&now, NULL);

	if (abs((now.tv_sec - last_cache_update_undulator.tv_sec)*1000000+ 
		   (now.tv_usec - last_cache_update_undulator.tv_usec)) > RFSH_CACHE*10) {
//****************************************************************************************8888
//check state-status of undulator


		int timeout_millis;
		if (ll_server_undulator == NULL) {
			plc_status_undulator = false;
			set_state(Tango::FAULT);
			set_status("Undulator low level server unreachable");
			return;
		}
		try{
			timeout_millis = ll_server_undulator->get_timeout_millis();
			ll_server_undulator->set_timeout_millis(PING_TIMEOT); 
		}
		catch (...) {
			plc_status_undulator = false;
			set_state(Tango::FAULT);
			set_status("Undulator low level server unreachable");
			return;
		}
		try{
			ll_server_undulator->ping();
		}
		catch(Tango::DevFailed &e) {
			cout<<"Undulator attr stat_system read failed "<<endl;	
			gettimeofday(&last_cache_update_undulator,NULL);
			set_status("Undulator low level server unreachable");
			ll_server_undulator->set_timeout_millis(timeout_millis);
			plc_status_undulator = false;
			set_status(ll_server_undulator->status());
			set_state(Tango::FAULT);
			return;
		}
		ll_server_undulator->set_timeout_millis(timeout_millis);
		int index = -1;
		int ix = -1;
		int in = -1;
		int ik = -1;
		vector<Tango::DeviceAttribute> *devattr_stat = 0;
		vector<string> attr_names_stat;
		vector<bool> valuesstat;
		vector<Tango::DeviceAttribute> *devattr_ingr = 0;
		vector<string> attr_names_ingr;
		vector<bool> valuesingr;
		vector<Tango::DeviceAttribute> *devattr_ctrl = 0;
		vector<string> attr_names_ctrl;
		vector<string> valuesctrl;
		vector<Tango::DeviceAttribute> *devattr_acc = 0;
		vector<string> attr_names_acc;
		vector<string> valuesacc;
		vector<Tango::DeviceAttribute> *devattr_n = 0;
		vector<string> attr_names_n;
		vector<string> valuesn;

		Tango::DevState st = ll_server_undulator->state();

		switch((int)st){//try
			case (Tango::ON):
//*********************************************************************************read alarm
		try {
			attr_names_stat.push_back("alarm_image");
			devattr_stat = ll_server_undulator->read_attributes(attr_names_stat);
			(*devattr_stat)[0] >> valuesstat;
			delete devattr_stat;
			for(int i=0;i<MESG_ALM_MAX_LEN;i++){
				msg_stat_undulator[i] = (Tango::DevBoolean)(valuesstat.at(i));
			}
			gettimeofday(&last_cache_update_undulator,NULL);
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status_undulator = false;
			cout<<"attribute refresh 3 failed at "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
			if(devattr_stat)
				delete devattr_stat;
		}
		DEBUG_STREAM<<"read alarm_image"<<endl;
//********************************************************************************read access
		try {
			attr_names_ingr.push_back("access_image");
			devattr_ingr = ll_server_undulator->read_attributes(attr_names_ingr);
			(*devattr_ingr)[0] >> valuesingr;
			delete devattr_ingr;
			for(int i=0;i<(int)valuesingr.size();i++){
				msg_acc_undulator[i] = (Tango::DevBoolean)(valuesingr.at(i));
			}
			gettimeofday(&last_cache_update_undulator,NULL);
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status_undulator = false;
			cout<<"attribute refresh 3 failed at "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
			if(devattr_ingr)
				delete devattr_ingr;
		}
		DEBUG_STREAM<<"read access_image"<<endl;
//*******************************************************************************enabled names
		for(int k=0;k<found_attr_undulator;k++){
			if(strstr((char*)(att_names_undulator[k]),"Undulator_access_names")!=NULL) {
				index = k;
			}
		}
		if(index == -1){
			// cout<<"always_executed_hook_undulator(), attr not found, Undulator_access_names "<<endl;
		}
		else{
			try {
				attr_names_ctrl.push_back("ctrl_names");
				devattr_ctrl = ll_server_undulator->read_attributes(attr_names_ctrl);
				(*devattr_ctrl)[0] >> valuesctrl;
				delete devattr_ctrl;
				try{
					for(int j=0;j<(int)valuesctrl.size();j++){
						strncpy(val_string_undulator[att_index[index]][j], ((string)(valuesctrl.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
					}
		if((int)valuesctrl.size()!=82)
			cout<<"DEBUG: Undulator_access_names, read "<<(int)valuesctrl.size()<<" values from ctrl_names (82 expected)at "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
			DEBUG_STREAM<<"DEBUG: Undulator_access_names, read "<<(int)valuesctrl.size()<<" values from ctrl_names (82 expected)"<<endl;
					for(int j=(int)valuesctrl.size();j<att_len[index];j++){
						strncpy(val_string_undulator[att_index[index]][j], NULL_BADGE, BADGE_SIZE*sizeof(u_short));
					}
				}
				catch(std::out_of_range& e) {//when there are less elements than expected
			//		cout<<"finito"<<endl;
				}			
				gettimeofday(&last_cache_update_undulator,NULL);
			}
			catch(Tango::DevFailed &e) {
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 122;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server_undulator->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando_undulator "<<endl;	
					if(devattr_ctrl)
						delete devattr_ctrl;
				}
			}
			if(valuesctrl.size()==0){
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 122;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server_undulator->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando_undulator "<<endl;	
					if(devattr_ctrl)
						delete devattr_ctrl;
				}
			}
		}
		DEBUG_STREAM<<"read ctrl_names"<<endl;
//***************************************************************************search names
		for(int k=0;k<found_attr;k++){
			if(strstr((char*)(att_names_undulator[k]),"Undulator_search_names")!=NULL) {
				ix = k;
			}
		}
		if(ix == -1){
			// cout<<"attr not found Undulator_search_names"<<endl;
		}
		else{
			try {
				attr_names_acc.push_back("search_names");
				devattr_acc = ll_server_undulator->read_attributes(attr_names_acc);
				(*devattr_acc)[0] >> valuesacc;
				delete devattr_acc;
				try{
					for(int j=0;j<(int)valuesacc.size();j++){
						strncpy(val_string[att_index[ix]][j], ((string)(valuesacc.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
					}
					for(int j=(int)valuesacc.size();j<att_len[ix];j++){
						strncpy(val_string[att_index[ix]][j], NULL_BADGE, BADGE_SIZE*sizeof(u_short));
					}
				}
				catch(std::out_of_range& e) {//when there are less elements than expected
				//		cout<<"finito"<<endl;
				}
				gettimeofday(&last_cache_update_undulator,NULL);
			}
			catch(Tango::DevFailed &e) {
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 121;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_acc)
						delete devattr_acc;
				}
			}
			if(valuesacc.size()==0){
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 121;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server_undulator->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_acc)
						delete devattr_acc;
				}
			}
		}
		DEBUG_STREAM<<"read search_names"<<endl;
//******************************************************************************access names
		for(int k=0;k<found_attr_undulator;k++){
			if(strstr((char*)(att_names_undulator[k]),"Undulator_badge_all")!=NULL) {
				in = k;
//			cout<<"found Linac_badge_all at "<<k<<endl;
			}
			if(strstr((char*)(att_names_undulator[k]),"Undulator_badge_ack")!=NULL) {
				ik = k;
//			cout<<"found Linac_badge_ack at "<<k<<endl;
			}
		}
		if((in == -1)||(ik == -1)){
			cout<<"attr Undulator_badge_all not found "<<endl;
		}
		else{
			try {
				attr_names_n.push_back("access_names");
				devattr_n = ll_server_undulator->read_attributes(attr_names_n);
				(*devattr_n)[0] >> valuesn;
				delete devattr_n;
				try{
					for(int j=0;j<(int)valuesn.size();j++){
	//	cout<<"name "<<j<<((string)(valuesn.at(j))).c_str()<<endl;
						if(j==16)						
							strncpy(val_string_undulator[att_index_undulator[ik]][0], ((string)(valuesn.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
						else
						strncpy(val_string_undulator[att_index_undulator[in]][j], ((string)(valuesn.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
					}
				}
				catch(std::out_of_range& e) {//when there are less elements than expected
			//		cout<<"finito"<<endl;
				}			
				gettimeofday(&last_cache_update_undulator,NULL);
			}
			catch(Tango::DevFailed &e) {
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 50;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_n)
						delete devattr_n;
				}
			}
			if(valuesn.size()==0){
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 50;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_n)
						delete devattr_n;
				}
			}
		}
		DEBUG_STREAM<<"read access_names"<<endl;
//*********************************************************************************low level not ok
		set_status("read ok");
		set_state(Tango::ON);
		plc_status_undulator = true;
		break;
		case (Tango::FAULT):
			plc_status_undulator = false;
			set_status(ll_server->status());
			set_state(Tango::FAULT);
		break;
		}
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::always_executed_hook()
// 
// description : 	method always executed before any command is executed
//
//-----------------------------------------------------------------------------
void FSafety::always_executed_hook()
{

// DB50  2432 Access_image (acc_msg msg_acc)
// DB51  3040 Alarm_image (stat_msg msg_alm)
// DB121  116 Search_names (info_msg search_names)
// DB122  116 Ctrl_names (info_msg ctrl_names)

	always_executed_hook_undulator();
	gettimeofday(&now, NULL);
	if (abs((now.tv_sec - last_cache_update.tv_sec)*1000000+ 
		   (now.tv_usec - last_cache_update.tv_usec)) > RFSH_CACHE*10) {
//****************************************************************************************8888
//check state-status 
		int timeout_millis;
		try{
			timeout_millis = ll_server->get_timeout_millis();
			ll_server->set_timeout_millis(PING_TIMEOT); 
		}
		catch (...) {
			plc_status = false;
			set_state(Tango::FAULT);
			set_status("Linac low level server unreachable");
			return;
		}
		try{
			ll_server->ping();
		}
		catch(Tango::DevFailed &e) {
			cout<<"Linac attr stat_system read failed "<<endl;	
			gettimeofday(&last_cache_update,NULL);
			set_status("Linac low level server unreachable");
			ll_server->set_timeout_millis(timeout_millis);
			plc_status = false;
			set_status(ll_server->status());
			set_state(Tango::FAULT);
			return;
		}
		ll_server->set_timeout_millis(timeout_millis);
		int index = -1;
		int ix = -1;
		int in = -1;
		int ik = -1;
		vector<Tango::DeviceAttribute> *devattr_stat = 0;
		vector<string> attr_names_stat;
		vector<bool> valuesstat;
		vector<Tango::DeviceAttribute> *devattr_ingr = 0;
		vector<string> attr_names_ingr;
		vector<bool> valuesingr;
		vector<Tango::DeviceAttribute> *devattr_ctrl = 0;
		vector<string> attr_names_ctrl;
		vector<string> valuesctrl;
		vector<Tango::DeviceAttribute> *devattr_acc = 0;
		vector<string> attr_names_acc;
		vector<string> valuesacc;
		vector<Tango::DeviceAttribute> *devattr_n = 0;
		vector<string> attr_names_n;
		vector<string> valuesn;

		Tango::DevState st = ll_server->state();

		switch((int)st){//try
			case (Tango::ON):
//*********************************************************************************read alarm
		try {
			attr_names_stat.push_back("alarm_image");
			devattr_stat = ll_server->read_attributes(attr_names_stat);
			(*devattr_stat)[0] >> valuesstat;
			delete devattr_stat;
			for(int i=0;i<MESG_ALM_MAX_LEN;i++){
				msg_stat[i] = (Tango::DevBoolean)(valuesstat.at(i));
			}
			gettimeofday(&last_cache_update,NULL);
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status = false;
			cout<<"attribute refresh 3 failed at "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
			if(devattr_stat)
				delete devattr_stat;
		}
		DEBUG_STREAM<<"read alarm_image"<<endl;
//********************************************************************************read access
		try {
			attr_names_ingr.push_back("access_image");
			devattr_ingr = ll_server->read_attributes(attr_names_ingr);
			(*devattr_ingr)[0] >> valuesingr;
			delete devattr_ingr;
			for(int i=0;i<(int)valuesingr.size();i++){
				msg_acc[i] = (Tango::DevBoolean)(valuesingr.at(i));
			}
			gettimeofday(&last_cache_update,NULL);
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status = false;
			cout<<"attribute refresh 3 failed at "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
			if(devattr_ingr)
				delete devattr_ingr;
		}
		DEBUG_STREAM<<"read access_image"<<endl;
//*******************************************************************************enabled names
		for(int k=0;k<found_attr;k++){
			if(strstr((char*)(att_names[k]),"Linac_access_names")!=NULL) {
				index = k;
			}
		}
		if(index == -1){
			// cout << "attr not found: " << c.c_str() << endl;
		}
		else{
			try {
				attr_names_ctrl.push_back("ctrl_names");
				devattr_ctrl = ll_server->read_attributes(attr_names_ctrl);
				(*devattr_ctrl)[0] >> valuesctrl;
				delete devattr_ctrl;
				try{
					for(int j=0;j<(int)valuesctrl.size();j++){
						strncpy(val_string[att_index[index]][j], ((string)(valuesctrl.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
					}
		if((int)valuesctrl.size()!=82)
			// cout << "." << endl;
			// cout<<"DEBUG: Linac_access_names, read "<<(int)valuesctrl.size()<<" values from ctrl_names (82 expected)at "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
			DEBUG_STREAM<<"DEBUG: Linac_access_names, read "<<(int)valuesctrl.size()<<" values from ctrl_names (82 expected)"<<endl;
					for(int j=(int)valuesctrl.size();j<att_len[index];j++){
						strncpy(val_string[att_index[index]][j], NULL_BADGE, BADGE_SIZE*sizeof(u_short));
					}
				}
				catch(std::out_of_range& e) {//when there are less elements than expected
			//		cout<<"finito"<<endl;
				}			
				gettimeofday(&last_cache_update,NULL);
			}
			catch(Tango::DevFailed &e) {
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 122;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_ctrl)
						delete devattr_ctrl;
				}
			}
			if(valuesctrl.size()==0){
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 122;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_ctrl)
						delete devattr_ctrl;
				}
			}
		}
		DEBUG_STREAM<<"read ctrl_names"<<endl;
//***************************************************************************search names
		for(int k=0;k<found_attr;k++){
			if(strstr((char*)(att_names[k]),"Linac_search_names")!=NULL) {
				ix = k;
			}
		}
		if(ix == -1){
			// cout << "attr not found: " << c.c_str() << endl;
		}
		else{
			try {
				attr_names_acc.push_back("search_names");
				devattr_acc = ll_server->read_attributes(attr_names_acc);
				(*devattr_acc)[0] >> valuesacc;
				delete devattr_acc;
				try{
					for(int j=0;j<(int)valuesacc.size();j++){
						strncpy(val_string[att_index[ix]][j], ((string)(valuesacc.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
					}
					for(int j=(int)valuesacc.size();j<att_len[ix];j++){
						strncpy(val_string[att_index[ix]][j], NULL_BADGE, BADGE_SIZE*sizeof(u_short));
					}
				}
				catch(std::out_of_range& e) {//when there are less elements than expected
				//		cout<<"finito"<<endl;
				}
				gettimeofday(&last_cache_update,NULL);
			}
			catch(Tango::DevFailed &e) {
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 121;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_acc)
						delete devattr_acc;
				}
			}
			if(valuesacc.size()==0){
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 121;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_acc)
						delete devattr_acc;
				}
			}
		}
		DEBUG_STREAM<<"read search_names"<<endl;
//******************************************************************************access names
		for(int k=0;k<found_attr;k++){
			if(strstr((char*)(att_names[k]),"Linac_badge_all")!=NULL) {
				in = k;
//			cout<<"found Linac_badge_all at "<<k<<endl;
			}
			if(strstr((char*)(att_names[k]),"Linac_badge_ack")!=NULL) {
				ik = k;
//			cout<<"found Linac_badge_ack at "<<k<<endl;
			}
		}
		if((in == -1)||(ik == -1)){
			cout<<"attr not found Linac_badge_all, Linac_badge_ack"<<endl;
		}
		else{
			try {
				attr_names_n.push_back("access_names");
				devattr_n = ll_server->read_attributes(attr_names_n);
				(*devattr_n)[0] >> valuesn;
				delete devattr_n;
				try{
					for(int j=0;j<(int)valuesn.size();j++){
	//	cout<<"name "<<j<<((string)(valuesn.at(j))).c_str()<<endl;
						if(j==16)						strncpy(val_string[att_index[ik]][0], ((string)(valuesn.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
						else
						strncpy(val_string[att_index[in]][j], ((string)(valuesn.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
					}
				}
				catch(std::out_of_range& e) {//when there are less elements than expected
			//		cout<<"finito"<<endl;
				}			
				gettimeofday(&last_cache_update,NULL);
			}
			catch(Tango::DevFailed &e) {
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 50;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_n)
						delete devattr_n;
				}
			}
			if(valuesn.size()==0){
				Tango::DevVarShortArray ncmd;
				ncmd.length(1);
				ncmd[0] = 50;
				Tango::DeviceData Din;
				Din << ncmd;
				try {
					ll_server->command_inout("Send_cmd", Din);
				}
				catch(Tango::DevFailed e) {
					cout<<"fallito invio comando "<<endl;	
					if(devattr_n)
						delete devattr_n;
				}
			}
		}
		DEBUG_STREAM<<"read access_names"<<endl;
//*********************************************************************************low level not ok
		set_status("read ok");
		set_state(Tango::ON);
		plc_status = true;
		break;
		case (Tango::FAULT):
			plc_status = false;
			set_status(ll_server->status());
			set_state(Tango::FAULT);
		break;
		}
//	rfsh++;
/*	if((rfsh%CNAMES_RFSH_RATE)==0){
		Tango::DevVarShortArray ncmd;
		ncmd.length(1);
		ncmd[0] = 122;
		Tango::DeviceData Din;
		Din << ncmd;
		try {
			ll_server->command_inout("Send_cmd", Din);
		DEBUG_STREAM<<"-> ctrlnames"<<endl;
		}
		catch(Tango::DevFailed e) {
			cout<<"fallito invio comando "<<endl;	
		}
	}
	if((rfsh%SNAMES_RFSH_RATE)==0){
		Tango::DevVarShortArray ncmd;
		ncmd.length(1);
		ncmd[0] = 121;
		Tango::DeviceData Din;
		Din << ncmd;
		try {
			ll_server->command_inout("Send_cmd", Din);
		DEBUG_STREAM<<"-> searchnames"<<endl;
		}
		catch(Tango::DevFailed e) {
			cout<<"fallito invio comando "<<endl;	
		}
	}*/
	}
	
	
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_attr_hardware
// 
// description : 	Hardware acquisition for attributes.
//
//-----------------------------------------------------------------------------
void FSafety::read_attr_hardware(vector<long> &attr_list)
{
	DEBUG_STREAM << "FSafety::read_attr_hardware(vector<long> &attr_list) entering... "<< endl;
	//	Add your own code here
}
//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mbd_current
// 
// description : 	Extract real attribute values for Linac_mbd_current acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mbd_current(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mbd_current(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Linac_mbd_current not found " << endl;
	}
	else{
		int k=0;
		unsigned long int res = 0;
		float *f;
		int bitval, bitnum;
		// printf("(pos_idx[index])[k].byte_pos: %d, msg_stat: %d\n", (pos_idx[index])[k].byte_pos, (8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos);
		res = 0;
		for(int j=0;j<32;j++){
			bitval = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			bitnum = j%8 + ((j%16)<8? 8: 0) + ((j<16)? 16: 0);
			res += bitval << bitnum;
			// printf("j: %d, bitval: %d, bitnum: %d\n", j, bitval, bitnum);
		}
		f = (float *) &res;
		mbd_current = (Tango::DevDouble) *f;
		// printf("raw: %x, float: %e, double: %e, len: %d\n", res, *f, mbd_current, att_len[index]);
		attr_Linac_mbd_current_read = &mbd_current;
		attr.set_value_date_quality(attr_Linac_mbd_current_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}


//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_cm_mbd_fel_02_01
// 
// description : 	Extract real attribute values for Undulator_cm_mbd_fel_02_01 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_cm_mbd_fel_02_01(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_cm_mbd_fel_02_01(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_cm_mbd_fel_02_01 not found " << endl;
	}
	else{
		int k=0;
		unsigned long int res = 0;
		float *f;
		int bitval, bitnum;
		res = 0;
		for(int j=0;j<32;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			bitnum = j%8 + ((j%16)<8? 8: 0) + ((j<16)? 16: 0);
			res += bitval << bitnum;
		}
		f = (float *) &res;
		cm_mbd_fel_02_01 = (Tango::DevDouble) *f;
		attr_Undulator_cm_mbd_fel_02_01_read = &cm_mbd_fel_02_01;
		attr.set_value_date_quality(attr_Undulator_cm_mbd_fel_02_01_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_cm_sfel_01_01
// 
// description : 	Extract real attribute values for Undulator_cm_sfel_01_01 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_cm_sfel_01_01(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_cm_sfel_01_01(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_cm_sfel_01_01 not found " << endl;
	}
	else{
		int k=0;
		unsigned long int res = 0;
		float *f;
		int bitval, bitnum;
		res = 0;
		for(int j=0;j<32;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			bitnum = j%8 + ((j%16)<8? 8: 0) + ((j<16)? 16: 0);
			res += bitval << bitnum;
		}
		f = (float *) &res;
		cm_sfel_01_01 = (Tango::DevDouble) *f;
		attr_Undulator_cm_sfel_01_01_read = &cm_sfel_01_01;
		attr.set_value_date_quality(attr_Undulator_cm_sfel_01_01_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_cm_sfel_02_01
// 
// description : 	Extract real attribute values for Undulator_cm_sfel_02_01 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_cm_sfel_02_01(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_cm_sfel_02_01(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_cm_sfel_02_01 not found " << endl;
	}
	else{
		int k=0;
		unsigned long int res = 0;
		float *f;
		int bitval, bitnum;
		res = 0;
		for(int j=0;j<32;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			bitnum = j%8 + ((j%16)<8? 8: 0) + ((j<16)? 16: 0);
			res += bitval << bitnum;
		}
		f = (float *) &res;
		cm_sfel_02_01 = (Tango::DevDouble) *f;
		attr_Undulator_cm_sfel_02_01_read = &cm_sfel_02_01;
		attr.set_value_date_quality(attr_Undulator_cm_sfel_02_01_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_cm_mbd_fel_01_01
// 
// description : 	Extract real attribute values for Undulator_cm_mbd_fel_01_01 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_cm_mbd_fel_01_01(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_cm_mbd_fel_01_01(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_cm_mbd_fel_01_01 not found " << endl;
	}
	else{
		int k=0;
		unsigned long int res = 0;
		float *f;
		int bitval, bitnum;
		res = 0;
		for(int j=0;j<32;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			bitnum = j%8 + ((j%16)<8? 8: 0) + ((j<16)? 16: 0);
			res += bitval << bitnum;
		}
		f = (float *) &res;
		cm_mbd_fel_01_01 = (Tango::DevDouble) *f;
		attr_Undulator_cm_mbd_fel_01_01_read = &cm_mbd_fel_01_01;
		attr.set_value_date_quality(attr_Undulator_cm_mbd_fel_01_01_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_cm_mbd_01
// 
// description : 	Extract real attribute values for Undulator_cm_mbd_01 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_cm_mbd_01(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_cm_mbd_01(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_cm_mbd_01 not found " << endl;
	}
	else{
		int k=0;
		unsigned long int res = 0;
		float *f;
		int bitval, bitnum;
		for(int j=0;j<32;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			bitnum = j%8 + ((j%16)<8? 8: 0) + ((j<16)? 16: 0);
			res += bitval << bitnum;
		}
		f = (float *) &res;
		cm_mbd_01 = (Tango::DevDouble) *f;
		// printf("raw: %x, float: %e, double: %e, len: %d\n", res, *f, cm_mbd_01, att_len_undulator[index]);
		attr_Undulator_cm_mbd_01_read = &cm_mbd_01;
		attr.set_value_date_quality(attr_Undulator_cm_mbd_01_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_mbd_fel_1
// 
// description : 	Extract real attribute values for Undulator_mbd_fel_1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_mbd_fel_1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_mbd_fel_1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_mbd_fel_1 not found " << endl;
	}
	else{
		int k=0;
		int16_t res = 0;
		int bitval, bitnum;
		for(int j=0;j<16;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			//bitnum = j%8 + (j<8? 8: 0);
			bitnum = j;
			res += bitval << bitnum;
		}
		*attr_Undulator_mbd_fel_1_read = (Tango::DevShort) ntohs(res);
		attr.set_value_date_quality(attr_Undulator_mbd_fel_1_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_mbd_fel_2
// 
// description : 	Extract real attribute values for Undulator_mbd_fel_2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_mbd_fel_2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_mbd_fel_2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_mbd_fel_2 not found " << endl;
	}
	else{
		int k=0;
		int16_t res = 0;
		int bitval, bitnum;
		for(int j=0;j<16;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			//bitnum = j%8 + (j<8? 8: 0);
			bitnum = j;
			res += bitval << bitnum;
		}
		*attr_Undulator_mbd_fel_2_read = (Tango::DevShort) ntohs(res);
		attr.set_value_date_quality(attr_Undulator_mbd_fel_2_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_mbd_01
// 
// description : 	Extract real attribute values for Undulator_mbd_01 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_mbd_01(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_mbd_01(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_mbd_01 not found " << endl;
	}
	else{
		int k=0;
		int16_t res = 0;
		int bitval, bitnum;
		for(int j=0;j<16;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			//bitnum = j%8 + (j<8? 8: 0);
			bitnum = j;
			res += bitval << bitnum;
		}
		*attr_Undulator_mbd_01_read = (Tango::DevShort) ntohs(res);
		attr.set_value_date_quality(attr_Undulator_mbd_01_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_sprd_fel_1
// 
// description : 	Extract real attribute values for Undulator_sprd_fel_1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_sprd_fel_1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_sprd_fel_1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_sprd_fel_1 not found " << endl;
	}
	else{
		int k=0;
		int16_t res = 0;
		int bitval, bitnum;
		for(int j=0;j<16;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			//bitnum = j%8 + (j<8? 8: 0);
			bitnum = j;
			res += bitval << bitnum;
		}
		*attr_Undulator_sprd_fel_1_read = (Tango::DevShort) ntohs(res);
		attr.set_value_date_quality(attr_Undulator_sprd_fel_1_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_sprd_fel_2
// 
// description : 	Extract real attribute values for Undulator_sprd_fel_2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_sprd_fel_2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_sprd_fel_2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr Undulator_sprd_fel_2 not found " << endl;
	}
	else{
		int k=0;
		int16_t res = 0;
		int bitval, bitnum;
		for(int j=0;j<16;j++){
			bitval = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos+j]? 1: 0;
			// most significant bits are stored in first byte
			//bitnum = j%8 + (j<8? 8: 0);
			bitnum = j;
			res += bitval << bitnum;
		}
		*attr_Undulator_sprd_fel_2_read = (Tango::DevShort) ntohs(res);
		attr.set_value_date_quality(attr_Undulator_sprd_fel_2_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_badge_on
// 
// description : 	Extract real attribute values for Undulator_badge_on acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_badge_on(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_badge_on(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_badge_on not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_acc_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			busy_key_undulator[k] = msg_acc_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_badge_on_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_badge_on_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}



//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_access_state
// 
// description : 	Extract real attribute values for Undulator_access_state acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_access_state(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_access_state(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_access_state not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_access_state_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_access_state_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_access_hutch
// 
// description : 	Extract real attribute values for Undulator_access_hutch acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_access_hutch(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_access_hutch(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_access_hutch not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_access_hutch_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_access_hutch_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_badge_all
// 
// description : 	Extract real attribute values for Undulator_badge_all acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_badge_all(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_badge_all(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_badge_all not found "<<endl;
	}
	else{
		attr_Undulator_badge_all_read = &(val_string_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_badge_all_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_badge_ack
// 
// description : 	Extract real attribute values for Undulator_badge_ack acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_badge_ack(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_badge_ack(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr not found " << c.c_str() << endl;
	}
	else{
	//	cout<<"attrib "<< att_names[index]<<" index:"<< index<<endl;
		attr_Undulator_badge_ack_read = &(val_string_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_badge_ack_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_boards_disabled
// 
// description : 	Extract real attribute values for Undulator_boards_disabled acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_boards_disabled(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_boards_disabled(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_boards_disabled not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_boards_disabled_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_boards_disabled_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_008
// 
// description : 	Extract real attribute values for Undulator_board_disabled_008 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_008(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_008(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_008_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_008_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_024
// 
// description : 	Extract real attribute values for Undulator_board_disabled_024 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_024(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_024(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_024_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_024_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_100
// 
// description : 	Extract real attribute values for Undulator_board_disabled_100 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_100(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_100(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_100_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_100_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_106
// 
// description : 	Extract real attribute values for Undulator_board_disabled_106 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_106(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_106(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_106_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_106_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_126
// 
// description : 	Extract real attribute values for Undulator_board_disabled_126 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_126(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_126(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_126_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_126_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_132
// 
// description : 	Extract real attribute values for Undulator_board_disabled_132 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_132(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_132(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_132_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_132_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_152
// 
// description : 	Extract real attribute values for Undulator_board_disabled_152 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_152(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_152(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_152_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_152_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_158
// 
// description : 	Extract real attribute values for Undulator_board_disabled_158 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_158(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_158(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_158_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_158_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_178
// 
// description : 	Extract real attribute values for Undulator_board_disabled_178 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_178(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_178(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_178_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_178_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_184
// 
// description : 	Extract real attribute values for Undulator_board_disabled_184 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_184(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_184(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_184_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_184_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_204
// 
// description : 	Extract real attribute values for Undulator_board_disabled_204 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_204(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_204(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_204_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_204_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_214
// 
// description : 	Extract real attribute values for Undulator_board_disabled_214 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_214(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_214(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_214_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_214_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_248
// 
// description : 	Extract real attribute values for Undulator_board_disabled_248 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_248(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_248(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_248_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_248_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_270
// 
// description : 	Extract real attribute values for Undulator_board_disabled_270 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_270(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_270(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_270_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_270_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_board_disabled_288
// 
// description : 	Extract real attribute values for Undulator_board_disabled_288 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_board_disabled_288(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_board_disabled_288(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx_undulator[index])[k].byte_pos <<"."<< (pos_idx_undulator[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool_undulator["<<att_index_undulator[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_board_disabled_288_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_board_disabled_288_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_boards_resettable
// 
// description : 	Extract real attribute values for Undulator_boards_resettable acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_boards_resettable(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_boards_resettable(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_boards_resettable not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_boards_resettable_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_boards_resettable_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_bst1_fel1
// 
// description : 	Extract real attribute values for Undulator_bst1_fel1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_bst1_fel1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_bst1_fel1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_bst1_fel1 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_bst1_fel1_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_bst1_fel1_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_bst2_fel1
// 
// description : 	Extract real attribute values for Undulator_bst2_fel1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_bst2_fel1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_bst2_fel1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_bst2_fel1 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_bst2_fel1_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_bst2_fel1_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_bst1_fel2
// 
// description : 	Extract real attribute values for Undulator_bst1_fel2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_bst1_fel2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_bst1_fel2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_bst1_fel2 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_bst1_fel2_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_bst1_fel2_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_bst2_fel2
// 
// description : 	Extract real attribute values for Undulator_bst2_fel2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_bst2_fel2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_bst2_fel2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_bst2_fel2 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_bst2_fel2_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_bst2_fel2_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_bst_diag
// 
// description : 	Extract real attribute values for Undulator_bst_diag acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_bst_diag(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_bst_diag(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_bst_diag not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_bst_diag_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_bst_diag_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_bst_inhibit_linac
// 
// description : 	Extract real attribute values for Undulator_bst_inhibit_linac acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_bst_inhibit_linac(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_bst_inhibit_linac(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_bst_inhibit_linac not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_bst_inhibit_linac_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_bst_inhibit_linac_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_bst_inhibit_bl
// 
// description : 	Extract real attribute values for Undulator_bst_inhibit_bl acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_bst_inhibit_bl(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_bst_inhibit_bl(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_bst_inhibit_bl not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			if (k==9) {
				val_bool_undulator[att_index_undulator[index]][k] = !val_bool_undulator[att_index_undulator[index]][k];
			}
		}
		attr_Undulator_bst_inhibit_bl_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_bst_inhibit_bl_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_disp_ext_code
// 
// description : 	Extract real attribute values for Undulator_disp_ext_code acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_disp_ext_code(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_disp_ext_code(Tango::Attribute &attr) entering... "<< endl;
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_disp_int_code
// 
// description : 	Extract real attribute values for Undulator_disp_int_code acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_disp_int_code(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_disp_int_code(Tango::Attribute &attr) entering... "<< endl;
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_e4
// 
// description : 	Extract real attribute values for Undulator_doors_e4 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_e4(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_e4(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr not found " << c.c_str() <<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_e4_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_e4_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_e5
// 
// description : 	Extract real attribute values for Undulator_doors_e5 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_e5(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_e5(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr not found " << c.c_str() <<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_e5_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_e5_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_e6
// 
// description : 	Extract real attribute values for Undulator_doors_e6 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_e6(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_e6(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr not found " << c.c_str() <<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_e6_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_e6_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_e7
// 
// description : 	Extract real attribute values for Undulator_doors_e7 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_e7(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_e7(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr not found " << c.c_str() <<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_e7_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_e7_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_so
// 
// description : 	Extract real attribute values for Undulator_doors_so acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_so(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_so(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr not found " << c.c_str() <<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_so_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_so_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_esa
// 
// description : 	Extract real attribute values for Undulator_doors_esa acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_esa(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_esa(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr not found " << c.c_str() <<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_esa_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_esa_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_memoopen_e4
// 
// description : 	Extract real attribute values for Undulator_doors_memoopen_e4 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_memoopen_e4(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_memoopen_e4(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_doors_memoopen_e4 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_memoopen_e4_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_memoopen_e4_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_memoopen_e5
// 
// description : 	Extract real attribute values for Undulator_doors_memoopen_e5 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_memoopen_e5(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_memoopen_e5(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_memoopen_e5_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_memoopen_e5_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_memoopen_e6
// 
// description : 	Extract real attribute values for Undulator_doors_memoopen_e6 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_memoopen_e6(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_memoopen_e6(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_memoopen_e6_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_memoopen_e6_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_memoopen_e7
// 
// description : 	Extract real attribute values for Undulator_doors_memoopen_e7 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_memoopen_e7(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_memoopen_e7(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_memoopen_e7_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_memoopen_e7_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_memoopen_so
// 
// description : 	Extract real attribute values for Undulator_doors_memoopen_so acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_memoopen_so(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_memoopen_so(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_memoopen_so_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_memoopen_so_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_doors_memoopen_esa
// 
// description : 	Extract real attribute values for Undulator_doors_memoopen_esa acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_doors_memoopen_esa(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_doors_memoopen_esa(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_doors_memoopen_esa_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_doors_memoopen_esa_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_emergency_buttons
// 
// description : 	Extract real attribute values for Undulator_emergency_buttons acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_emergency_buttons(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_emergency_buttons(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr not found in read_Undulator_emergency_buttons()"<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_emergency_buttons_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_emergency_buttons_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}
//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_emergency_memo_buttons
// 
// description : 	Extract real attribute values for Undulator_emergency_memo_buttons acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_emergency_memo_buttons(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_emergency_memo_buttons(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
		if (ll_server_undulator == NULL) {
			return;
		}
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_emergency_memo_buttons not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
/*
		vector<Tango::DeviceAttribute> *devattr_memo = 0;
		vector<string> attr_memo;
		vector<bool> valuesmemo;
		try {
		
			attr_memo.push_back("memo_buttons");
			devattr_memo = ll_server_undulator->read_attributes(attr_memo);
			(*devattr_memo)[0] >> valuesmemo;
			delete devattr_memo;
			for(int i=0;i<att_len_undulator[index];i++){
				val_bool_undulator[att_index_undulator[index]][i] = (Tango::DevBoolean)(valuesmemo.at(i));
			}
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status = false;
			cout<<"attribute refresh 4 failed "<<endl;
			if(devattr_memo)
				delete devattr_memo;
		}
*/
		attr_Undulator_emergency_memo_buttons_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_emergency_memo_buttons_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_glob_signals
// 
// description : 	Extract real attribute values for Undulator_glob_signals acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_glob_signals(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_glob_signals(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_glob_signals not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_glob_signals_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_glob_signals_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_access_signals
// 
// description : 	Extract real attribute values for Undulator_access_signals acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_access_signals(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_access_signals(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_access_signals_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_access_signals_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_key_glob
// 
// description : 	Extract real attribute values for Undulator_key_glob acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_key_glob(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_key_glob(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_key_glob not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_key_glob_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_key_glob_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_key_ext
// 
// description : 	Extract real attribute values for Undulator_key_ext acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_key_ext(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_key_ext(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_key_ext not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_key_ext_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_key_ext_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_key_int
// 
// description : 	Extract real attribute values for Undulator_key_int acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_key_int(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_key_int(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_key_int not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_key_int_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_key_int_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_key_release
// 
// description : 	Extract real attribute values for Undulator_key_release acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_key_release(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_key_release(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_key_release not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_key_release_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_key_release_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_barriers
// 
// description : 	Extract real attribute values for Undulator_search_barriers acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_barriers(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_barriers(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_barriers not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_barriers_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_barriers_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_buttons
// 
// description : 	Extract real attribute values for Undulator_search_buttons acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_buttons(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_buttons(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_buttons not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_buttons_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_buttons_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_doorlights
// 
// description : 	Extract real attribute values for Undulator_search_doorlights acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_doorlights(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_doorlights(Tango::Attribute &attr) entering... "<< endl;
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_lights
// 
// description : 	Extract real attribute values for Undulator_search_lights acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_lights(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_lights(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_lights not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_lights_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_lights_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_req_so
// 
// description : 	Extract real attribute values for Undulator_search_req_so acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_req_so(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_req_so(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_req_so not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_req_so_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_req_so_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_req_e4
// 
// description : 	Extract real attribute values for Undulator_search_req_e4 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_req_e4(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_req_e4(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_req_e4 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_req_e4_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_req_e4_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_req_e5
// 
// description : 	Extract real attribute values for Undulator_search_req_e5 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_req_e5(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_req_e5(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_req_e5 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_req_e5_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_req_e5_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_req_e6
// 
// description : 	Extract real attribute values for Undulator_search_req_e6 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_req_e6(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_req_e6(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_req_e6 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_req_e6_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_req_e6_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_req_e7
// 
// description : 	Extract real attribute values for Undulator_search_req_e7 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_req_e7(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_req_e7(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_req_e7 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_req_e7_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_req_e7_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_req_esa1
// 
// description : 	Extract real attribute values for Undulator_search_req_esa1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_req_esa1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_req_esa1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_req_esa1 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_req_esa1_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_req_esa1_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_req_esa2
// 
// description : 	Extract real attribute values for Undulator_search_req_esa2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_req_esa2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_req_esa2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_req_esa2 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_req_esa2_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_req_esa2_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_signals_so
// 
// description : 	Extract real attribute values for Undulator_search_signals_so acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_signals_so(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_signals_so(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_signals_so not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_signals_so_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_signals_so_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_signals_e4
// 
// description : 	Extract real attribute values for Undulator_search_signals_e4 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_signals_e4(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_signals_e4(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_signals_e4 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_signals_e4_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_signals_e4_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_signals_e5
// 
// description : 	Extract real attribute values for Undulator_search_signals_e5 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_signals_e5(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_signals_e5(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_signals_e5 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_signals_e5_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_signals_e5_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_signals_e6
// 
// description : 	Extract real attribute values for Undulator_search_signals_e6 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_signals_e6(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_signals_e6(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_signals_e6 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_signals_e6_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_signals_e6_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_signals_e7
// 
// description : 	Extract real attribute values for Undulator_search_signals_e7 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_signals_e7(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_signals_e7(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_signals_e7 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_signals_e7_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_signals_e7_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_signals_esa1
// 
// description : 	Extract real attribute values for Undulator_search_signals_esa1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_signals_esa1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_signals_esa1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_signals_esa1 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			/* if((k==1)){
				val_bool_undulator[att_index_undulator[index]][k] = !val_bool_undulator[att_index_undulator[index]][k];
			}*/
		}
		attr_Undulator_search_signals_esa1_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_signals_esa1_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_signals_esa2
// 
// description : 	Extract real attribute values for Undulator_search_signals_esa2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_signals_esa2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_signals_esa2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_signals_esa2 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			/* if((k==1)){
				val_bool_undulator[att_index_undulator[index]][k] = !val_bool_undulator[att_index_undulator[index]][k];
			}*/
		}
		attr_Undulator_search_signals_esa2_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_signals_esa2_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_ini_so
// 
// description : 	Extract real attribute values for Undulator_search_ini_so acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_ini_so(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_ini_so(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	int ix = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_access_signals")!=NULL) {///ingresso/uscita in corso
			ix = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_ini_so not found "<<endl;
	}
	else if(ix == -1){
		cout<<"attr Undulator_access_signals not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			if (k==5) val_bool_undulator[att_index_undulator[index]][k] = !(val_bool_undulator[att_index_undulator[index]][k] || msg_stat_undulator[(8*(pos_idx_undulator[ix])[16].byte_pos)+(pos_idx_undulator[ix])[16].bit_pos]); 
			if (k==6 || k==7 || (k>12 && k<21)) val_bool_undulator[att_index_undulator[index]][k] = !val_bool_undulator[att_index_undulator[index]][k]; 
		}
		attr_Undulator_search_ini_so_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_ini_so_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_ini_e4
// 
// description : 	Extract real attribute values for Undulator_search_ini_e4 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_ini_e4(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_ini_e4(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_ini_e4 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			if (k==2) val_bool_undulator[att_index_undulator[index]][k] = !val_bool_undulator[att_index_undulator[index]][k] ;
		}
		attr_Undulator_search_ini_e4_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_ini_e4_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_ini_e5
// 
// description : 	Extract real attribute values for Undulator_search_ini_e5 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_ini_e5(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_ini_e5(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_ini_e5 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			if (k==2) val_bool_undulator[att_index_undulator[index]][k] = !val_bool_undulator[att_index_undulator[index]][k] ;
		}
		attr_Undulator_search_ini_e5_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_ini_e5_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_ini_e6
// 
// description : 	Extract real attribute values for Undulator_search_ini_e6 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_ini_e6(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_ini_e6(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_ini_e6 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			if (k==2) val_bool_undulator[att_index_undulator[index]][k] = !val_bool_undulator[att_index_undulator[index]][k] ;
		}
		attr_Undulator_search_ini_e6_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_ini_e6_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_ini_e7
// 
// description : 	Extract real attribute values for Undulator_search_ini_e7 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_ini_e7(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_ini_e7(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_ini_e7 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
			if (k==2) val_bool_undulator[att_index_undulator[index]][k] = !val_bool_undulator[att_index_undulator[index]][k] ;
		}
		attr_Undulator_search_ini_e7_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_ini_e7_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_fail_so
// 
// description : 	Extract real attribute values for Undulator_search_fail_so acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_fail_so(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_fail_so(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1, ix=-1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_access_signals")!=NULL) {///ingresso/uscita in corso
			ix = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_fail_so not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			switch(k){
				case 0:
					val_bool_undulator[att_index_undulator[index]][k] = (msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos])&&(msg_stat_undulator[(8*(pos_idx_undulator[ix])[8].byte_pos)+(pos_idx_undulator[ix])[8].bit_pos]);//ingresso in corso
					break;
				case 1:
					val_bool_undulator[att_index_undulator[index]][k] = (msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos])&&(msg_stat_undulator[(8*(pos_idx_undulator[ix])[16].byte_pos)+(pos_idx_undulator[ix])[16].bit_pos]);
					break;
				default:
					val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
					break;
			}
		}
		attr_Undulator_search_fail_so_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_fail_so_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_fail_e4
// 
// description : 	Extract real attribute values for Undulator_search_fail_e4 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_fail_e4(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_fail_e4(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_fail_e4 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_fail_e4_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_fail_e4_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_fail_e5
// 
// description : 	Extract real attribute values for Undulator_search_fail_e5 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_fail_e5(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_fail_e5(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_fail_e5 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_fail_e5_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_fail_e5_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_fail_e6
// 
// description : 	Extract real attribute values for Undulator_search_fail_e6 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_fail_e6(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_fail_e6(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_fail_e6 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_fail_e6_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_fail_e6_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_fail_e7
// 
// description : 	Extract real attribute values for Undulator_search_fail_e7 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_fail_e7(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_fail_e7(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_fail_e7 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_fail_e7_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_fail_e7_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_fail_esa1
// 
// description : 	Extract real attribute values for Undulator_search_fail_esa1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_fail_esa1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_fail_esa1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_fail_esa1 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_fail_esa1_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_fail_esa1_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_search_fail_esa2
// 
// description : 	Extract real attribute values for Undulator_search_fail_esa2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_search_fail_esa2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_search_fail_esa2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_search_fail_esa2 not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_search_fail_esa2_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_search_fail_esa2_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_sir_buz
// 
// description : 	Extract real attribute values for Undulator_sir_buz acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_sir_buz(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_sir_buz(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_sir_buz not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_sir_buz_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_sir_buz_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_state
// 
// description : 	Extract real attribute values for Undulator_state acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_state(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_state(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout<<"attr Undulator_state not found "<<endl;
	}
	else{
		for(int k=0;k<att_len_undulator[index];k++){
			val_bool_undulator[att_index_undulator[index]][k] = msg_stat_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
		}
		attr_Undulator_state_read = &(val_bool_undulator[att_index_undulator[index]][0]);
		attr.set_value_date_quality(attr_Undulator_state_read, now, Tango::ATTR_VALID, att_len_undulator[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Undulator_plc_status
// 
// description : 	Extract real attribute values for Undulator_plc_status acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Undulator_plc_status(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Undulator_plc_status(Tango::Attribute &attr) entering... "<< endl;
	attr_Undulator_plc_status_read = &plc_status_undulator;
	attr.set_value_date_quality(attr_Undulator_plc_status_read, now, Tango::ATTR_VALID, 1,0,false);
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_inhib_rf_gen
// 
// description : 	Extract real attribute values for Linac_mod_inhib_rf_gen acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_inhib_rf_gen(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_inhib_rf_gen(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	int iy = -1;
	int iz = -1;
	int e1 = -1;
	int e2 = -1;
	int e3 = -1;
	int Undulator_search_signals_so = -1;
	int Undulator_search_signals_e4 = -1;
	int Undulator_search_signals_e5 = -1;
	int Undulator_search_signals_e6 = -1;
	int Undulator_search_signals_e7 = -1;
	int Undulator_search_ini_so = -1;
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_so")!=NULL) {
			Undulator_search_signals_so = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e4")!=NULL) {
			Undulator_search_signals_e4 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e5")!=NULL) {
			Undulator_search_signals_e5 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e6")!=NULL) {
			Undulator_search_signals_e6 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e7")!=NULL) {
			Undulator_search_signals_e7 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_ini_so")!=NULL) {
			Undulator_search_ini_so = k;
		}
	}
	for(int k=0;k<found_attr;k++){
//		cout<<"confronto: "<<att_names[k]<<" con "<<c.c_str()<<endl;
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
//			cout<<"found at index: "<<k<<endl;
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_memoopen_ext")!=NULL) {
			iy = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_sir_buz")!=NULL) {
			iz = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e1")!=NULL) {
			e1 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e2")!=NULL) {
			e2 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e3")!=NULL) {
			e3 = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else if(Undulator_search_signals_so == -1){
		cout << "attr not found: Undulator_search_signals_so" << endl;
	}
	else if(Undulator_search_signals_e4 == -1){
		cout << "attr not found: Undulator_search_signals_e4" << endl;
	}
	else if(Undulator_search_signals_e5 == -1){
		cout << "attr not found: Undulator_search_signals_e5" << endl;
	}
	else if(Undulator_search_signals_e6 == -1){
		cout << "attr not found: Undulator_search_signals_e6" << endl;
	}
	else if(Undulator_search_signals_e7 == -1){
		cout << "attr not found: Undulator_search_signals_e7" << endl;
	}
	else if(Undulator_search_ini_so == -1){
		cout << "attr not found: Undulator_search_ini_so" << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]));
			if(k==1){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_so])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_so])[0].bit_pos];
			}
			if(k==3){
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e1])[0].byte_pos)+(pos_idx[e1])[0].bit_pos]);//E0||E1 search not ok
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e2])[0].byte_pos)+(pos_idx[e2])[0].bit_pos]);//..||E2 search not ok
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e3])[0].byte_pos)+(pos_idx[e3])[0].bit_pos]);//..||E3 search not ok
			}
			if(k==4){
				val_bool[att_index[index]][k] = 
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e4])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e4])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e5])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e5])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e6])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e6])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e7])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e7])[0].bit_pos];
			}
			if(k==5){
				val_bool[att_index[index]][k] = ((!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))||(msg_stat[(8*(pos_idx[iy])[0].byte_pos)+(pos_idx[iy])[0].bit_pos]));
			}
			if(k==6){
				val_bool[att_index[index]][k] = ((!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))||(msg_stat[(8*(pos_idx[iy])[1].byte_pos)+(pos_idx[iy])[1].bit_pos]));
			}
			if(k==11){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[2].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[2].bit_pos];
			}
			if(k==12){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[0].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[0].bit_pos];
			}
			if(k==13){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[1].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[1].bit_pos];
			}
			if(k==14){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[3].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[3].bit_pos];
			}
			if(k==15){
				val_bool[att_index[index]][k] = ((msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]));
			}
			if(k==16){
				val_bool[att_index[index]][k] = ((msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]));
			}
		}
		attr_Linac_mod_inhib_rf_gen_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_inhib_rf_gen_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_inhib_hv_gen
// 
// description : 	Extract real attribute values for Linac_mod_inhib_hv_gen acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_inhib_hv_gen(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_inhib_hv_gen(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	int iy = -1;
	for(int k=0;k<found_attr;k++){
//		cout<<"confronto: "<<att_names[k]<<" con "<<c.c_str()<<endl;
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
//			cout<<"found at index: "<<k<<endl;
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_abi_rf")!=NULL) {
			iy = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[3].byte_pos)+(pos_idx[iy])[3].bit_pos]));
		}
		attr_Linac_mod_inhib_hv_gen_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_inhib_hv_gen_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_inhib_rf_ks
// 
// description : 	Extract real attribute values for Linac_mod_inhib_rf_ks acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_inhib_rf_ks(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_inhib_rf_ks(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
#if 1
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
#else
	int iy = -1;
	int e0 = -1;
	int e1 = -1;
	int e2 = -1;
	int e3 = -1;
	int bst = -1;
	int pcgun = -1;
	int Undulator_search_signals_so = -1;
	int Undulator_search_signals_e4 = -1;
	int Undulator_search_signals_e5 = -1;
	int Undulator_search_signals_e6 = -1;
	int Undulator_search_signals_e7 = -1;
	int Undulator_search_ini_so = -1;
	int Undulator_bst_inhibit_bl = -1;
	bool ks_onload; 
	bool ks_onpcgun;
	bool bst_linac_notclosed; 
	for(int k=0;k<found_attr;k++){
//		cout<<"confronto: "<<att_names[k]<<" con "<<c.c_str()<<endl;
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
//			cout<<"found at index: "<<k<<endl;
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_positions")!=NULL) {
			iy = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e0")!=NULL) {
			e0 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e1")!=NULL) {
			e1 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e2")!=NULL) {
			e2 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e3")!=NULL) {
			e3 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_bst_1")!=NULL) {
			bst = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_positions")!=NULL) {
			pcgun = k;
		}
	}
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_so")!=NULL) {
			Undulator_search_signals_so = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e4")!=NULL) {
			Undulator_search_signals_e4 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e5")!=NULL) {
			Undulator_search_signals_e5 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e6")!=NULL) {
			Undulator_search_signals_e6 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e7")!=NULL) {
			Undulator_search_signals_e7 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_ini_so")!=NULL) {
			Undulator_search_ini_so = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_bst_inhibit_bl")!=NULL) {
			Undulator_bst_inhibit_bl = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else if(Undulator_search_signals_so == -1){
		cout << "attr not found: Undulator_search_signals_so" << endl;
	}
	else if(Undulator_search_signals_e4 == -1){
		cout << "attr not found: Undulator_search_signals_e4" << endl;
	}
	else if(Undulator_search_signals_e5 == -1){
		cout << "attr not found: Undulator_search_signals_e5" << endl;
	}
	else if(Undulator_search_signals_e6 == -1){
		cout << "attr not found: Undulator_search_signals_e6" << endl;
	}
	else if(Undulator_search_signals_e7 == -1){
		cout << "attr not found: Undulator_search_signals_e7" << endl;
	}
	else if(Undulator_search_ini_so == -1){
		cout << "attr not found: Undulator_search_ini_so" << endl;
	}
	else if(Undulator_bst_inhibit_bl == -1){
		cout << "attr not found: Undulator_bst_inhibit_bl" << endl;
	}
	else{
		ks_onload = msg_stat[(8*(pos_idx[iy])[0].byte_pos)+(pos_idx[iy])[0].bit_pos];
		ks_onpcgun = msg_stat[(8*(pos_idx[pcgun])[7].byte_pos)+(pos_idx[pcgun])[7].bit_pos];
		bst_linac_notclosed = msg_stat[(8*(pos_idx[bst])[1].byte_pos)+(pos_idx[bst])[1].bit_pos];

		for(int k=0;k<att_len[index];k++){
			val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!ks_onload);
			if(k==1){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_so])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_so])[0].bit_pos]&&(!ks_onload);
			}
			if(k==3){
				/*
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e1])[0].byte_pos)+(pos_idx[e1])[0].bit_pos]);//E0||E1 search not ok
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e2])[0].byte_pos)+(pos_idx[e2])[0].bit_pos]);//..||E2 search not ok
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e3])[0].byte_pos)+(pos_idx[e3])[0].bit_pos]);//..||E3 search not ok
				*/
				val_bool[att_index[index]][k] = 
					(!msg_stat[(8*(pos_idx[e0])[0].byte_pos)+(pos_idx[e0])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e1])[0].byte_pos)+(pos_idx[e1])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e2])[0].byte_pos)+(pos_idx[e2])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e3])[0].byte_pos)+(pos_idx[e3])[0].bit_pos]) && (!ks_onload);
			}
			if(k==4){
				val_bool[att_index[index]][k] = 
					(!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e4])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e4])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e5])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e5])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e6])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e6])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e7])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e7])[0].bit_pos])&&(!ks_onload);
			}
			if(k==11){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[2].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[2].bit_pos]&&(!ks_onload);
			}
			if(k==12){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[0].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[0].bit_pos]&&(!ks_onload);
			}
			if(k==13){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[1].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[1].bit_pos]&&(!ks_onload);
			}
			if(k==14){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[3].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[3].bit_pos]&&(!ks_onload);
			}
			if(k==15){
				val_bool[att_index[index]][k] = ((msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[0].byte_pos)+(pos_idx[iy])[0].bit_pos]));
			}
			if(k==20){
				val_bool[att_index[index]][k] = (!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[0].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[0].bit_pos])&&bst_linac_notclosed&&ks_onpcgun;
			}
			if(k==21){
				val_bool[att_index[index]][k] = (!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[8].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[8].bit_pos])&&bst_linac_notclosed&&ks_onpcgun;
			}
			if(k==22){
				val_bool[att_index[index]][k] = (!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[9].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[9].bit_pos])&&bst_linac_notclosed&&ks_onpcgun;
			}
			if(k==23){
				val_bool[att_index[index]][k] = 
					(!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[1].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[1].bit_pos] ||
					 !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[3].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[3].bit_pos]
					) && ks_onpcgun;
			}
			if(k==24){
				val_bool[att_index[index]][k] = 
					(!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[4].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[4].bit_pos] ||
					 !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[6].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[6].bit_pos]
					) && ks_onpcgun;
			}
		}
#endif
		attr_Linac_mod_inhib_rf_ks_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_inhib_rf_ks_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_inhib_rf_k1
// 
// description : 	Extract real attribute values for Linac_mod_inhib_rf_k1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_inhib_rf_k1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_inhib_rf_k1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
#if 0
	int iy = -1;
	int e0 = -1;
	int e1 = -1;
	int e2 = -1;
	int e3 = -1;
	int bst = -1;
	int pcgun = -1;
	int rfdisab = -1;
	int Undulator_search_signals_so = -1;
	int Undulator_search_signals_e4 = -1;
	int Undulator_search_signals_e5 = -1;
	int Undulator_search_signals_e6 = -1;
	int Undulator_search_signals_e7 = -1;
	int Undulator_search_ini_so = -1;
	int Undulator_bst_inhibit_bl = -1;
	bool k1_onload; 
	bool k1_onpcgun;
	bool bst_linac_notclosed; 
	for(int k=0;k<found_attr;k++){
//		cout<<"confronto: "<<att_names[k]<<" con "<<c.c_str()<<endl;
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
//			cout<<"found at index: "<<k<<endl;
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_positions")!=NULL) {
			iy = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e0")!=NULL) {
			e0 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e1")!=NULL) {
			e1 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e2")!=NULL) {
			e2 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e3")!=NULL) {
			e3 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_bst_1")!=NULL) {
			bst = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_positions")!=NULL) {
			pcgun = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_abi_rf")!=NULL) {
			rfdisab = k;
		}
	}
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_so")!=NULL) {
			Undulator_search_signals_so = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e4")!=NULL) {
			Undulator_search_signals_e4 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e5")!=NULL) {
			Undulator_search_signals_e5 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e6")!=NULL) {
			Undulator_search_signals_e6 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e7")!=NULL) {
			Undulator_search_signals_e7 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_ini_so")!=NULL) {
			Undulator_search_ini_so = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_bst_inhibit_bl")!=NULL) {
			Undulator_bst_inhibit_bl = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else if(Undulator_search_signals_so == -1){
		cout << "attr not found: Undulator_search_signals_so" << endl;
	}
	else if(Undulator_search_signals_e4 == -1){
		cout << "attr not found: Undulator_search_signals_e4" << endl;
	}
	else if(Undulator_search_signals_e5 == -1){
		cout << "attr not found: Undulator_search_signals_e5" << endl;
	}
	else if(Undulator_search_signals_e6 == -1){
		cout << "attr not found: Undulator_search_signals_e6" << endl;
	}
	else if(Undulator_search_signals_e7 == -1){
		cout << "attr not found: Undulator_search_signals_e7" << endl;
	}
	else if(Undulator_search_ini_so == -1){
		cout << "attr not found: Undulator_search_ini_so" << endl;
	}
	else if(Undulator_bst_inhibit_bl == -1){
		cout << "attr not found: Undulator_bst_inhibit_bl" << endl;
	}
	else{
		k1_onload = msg_stat[(8*(pos_idx[iy])[1].byte_pos)+(pos_idx[iy])[1].bit_pos];
		k1_onpcgun = msg_stat[(8*(pos_idx[pcgun])[6].byte_pos)+(pos_idx[pcgun])[6].bit_pos];
		bst_linac_notclosed = !msg_stat[(8*(pos_idx[bst])[1].byte_pos)+(pos_idx[bst])[1].bit_pos];

		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!k1_onload);
			if(k==1){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_so])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_so])[0].bit_pos]&&(!k1_onload);
			}
			if(k==3){
				/*
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e1])[0].byte_pos)+(pos_idx[e1])[0].bit_pos]);//E0||E1 search not ok
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e2])[0].byte_pos)+(pos_idx[e2])[0].bit_pos]);//..||E2 search not ok
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e3])[0].byte_pos)+(pos_idx[e3])[0].bit_pos]);//..||E3 search not ok
				*/
				val_bool[att_index[index]][k] = 
					(!msg_stat[(8*(pos_idx[e0])[0].byte_pos)+(pos_idx[e0])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e1])[0].byte_pos)+(pos_idx[e1])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e2])[0].byte_pos)+(pos_idx[e2])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e3])[0].byte_pos)+(pos_idx[e3])[0].bit_pos]) && (!k1_onload);
			}
			if(k==4){
				val_bool[att_index[index]][k] = 
					(!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e4])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e4])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e5])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e5])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e6])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e6])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e7])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e7])[0].bit_pos])&&(!k1_onload);
			}
			if(k==5 || k==6){
				val_bool[att_index[index]][k] = (msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])&&(!k1_onload);
			}
			if(k==11){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[2].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[2].bit_pos]&&(!k1_onload);
			}
			if(k==12){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[0].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[0].bit_pos]&&(!k1_onload);
			}
			if(k==13){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[1].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[1].bit_pos]&&(!k1_onload);
			}
			if(k==14){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[3].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[3].bit_pos]&&(!k1_onload);
			}
			if(k==15){
				val_bool[att_index[index]][k] = ((msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[1].byte_pos)+(pos_idx[iy])[1].bit_pos]));
			}
			if(k>=16 && k<=19){
				val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])&&
				!(msg_stat[(8*(pos_idx[rfdisab])[3].byte_pos)+(pos_idx[rfdisab])[3].bit_pos]));
			}
			if(k==20){
				val_bool[att_index[index]][k] = (!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[0].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[0].bit_pos])&&bst_linac_notclosed&&k1_onpcgun;
			}
			if(k==21){
				val_bool[att_index[index]][k] = (!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[8].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[8].bit_pos])&&bst_linac_notclosed&&k1_onpcgun;
			}
			if(k==22){
				val_bool[att_index[index]][k] = 
					msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[9].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[9].bit_pos] &&
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[11].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[11].bit_pos] &&
					bst_linac_notclosed && k1_onpcgun;
			}
			if(k==23){
				val_bool[att_index[index]][k] = 
					(!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[1].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[1].bit_pos] ||
					 !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[3].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[3].bit_pos]
					) && k1_onpcgun;
			}
			if(k==24){
				val_bool[att_index[index]][k] = 
					(!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[4].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[4].bit_pos] ||
					 !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_bst_inhibit_bl])[6].byte_pos)+(pos_idx_undulator[Undulator_bst_inhibit_bl])[6].bit_pos]
					) && k1_onpcgun;
			}
		}
#else
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
#endif
		attr_Linac_mod_inhib_rf_k1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_inhib_rf_k1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}

}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_inhib_rf_k2
// 
// description : 	Extract real attribute values for Linac_mod_inhib_rf_k2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_inhib_rf_k2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_inhib_rf_k2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
#if 0
	int iy = -1;
	int e0 = -1;
	int e1 = -1;
	int e2 = -1;
	int e3 = -1;
	int Undulator_search_signals_so = -1;
	int Undulator_search_signals_e4 = -1;
	int Undulator_search_signals_e5 = -1;
	int Undulator_search_signals_e6 = -1;
	int Undulator_search_signals_e7 = -1;
	int Undulator_search_ini_so = -1;
	int Undulator_bst_inhibit_bl = -1;
	bool k2_onload; 
	for(int k=0;k<found_attr;k++){
//		cout<<"confronto: "<<att_names[k]<<" con "<<c.c_str()<<endl;
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
//			cout<<"found at index: "<<k<<endl;
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_positions")!=NULL) {
			iy = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e0")!=NULL) {
			e0 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e1")!=NULL) {
			e1 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e2")!=NULL) {
			e2 = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_search_signals_e3")!=NULL) {
			e3 = k;
		}
	}
	for(int k=0;k<found_attr_undulator;k++){
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_so")!=NULL) {
			Undulator_search_signals_so = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e4")!=NULL) {
			Undulator_search_signals_e4 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e5")!=NULL) {
			Undulator_search_signals_e5 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e6")!=NULL) {
			Undulator_search_signals_e6 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_signals_e7")!=NULL) {
			Undulator_search_signals_e7 = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_search_ini_so")!=NULL) {
			Undulator_search_ini_so = k;
		}
		if(strstr((char*)(att_names_undulator[k]),"Undulator_bst_inhibit_bl")!=NULL) {
			Undulator_bst_inhibit_bl = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else if(Undulator_search_signals_so == -1){
		cout << "attr not found: Undulator_search_signals_so" << endl;
	}
	else if(Undulator_search_signals_e4 == -1){
		cout << "attr not found: Undulator_search_signals_e4" << endl;
	}
	else if(Undulator_search_signals_e5 == -1){
		cout << "attr not found: Undulator_search_signals_e5" << endl;
	}
	else if(Undulator_search_signals_e6 == -1){
		cout << "attr not found: Undulator_search_signals_e6" << endl;
	}
	else if(Undulator_search_signals_e7 == -1){
		cout << "attr not found: Undulator_search_signals_e7" << endl;
	}
	else if(Undulator_search_ini_so == -1){
		cout << "attr not found: Undulator_search_ini_so" << endl;
	}
	else if(Undulator_bst_inhibit_bl == -1){
		cout << "attr not found: Undulator_bst_inhibit_bl" << endl;
	}
	else{
		k2_onload = msg_stat[(8*(pos_idx[iy])[2].byte_pos)+(pos_idx[iy])[2].bit_pos];
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!k2_onload);
			if(k==1){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_so])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_so])[0].bit_pos]&&(!k2_onload);
			}
			if(k==3){
				/*
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e1])[0].byte_pos)+(pos_idx[e1])[0].bit_pos]);//eme non ripr
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e2])[0].byte_pos)+(pos_idx[e2])[0].bit_pos]);//eme non ripr
				val_bool[att_index[index]][k] = (val_bool[att_index[index]][k])|| (!msg_stat[(8*(pos_idx[e3])[0].byte_pos)+(pos_idx[e3])[0].bit_pos]);//eme non ripr
				*/
				val_bool[att_index[index]][k] = 
					(!msg_stat[(8*(pos_idx[e0])[0].byte_pos)+(pos_idx[e0])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e1])[0].byte_pos)+(pos_idx[e1])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e2])[0].byte_pos)+(pos_idx[e2])[0].bit_pos] ||
					 !msg_stat[(8*(pos_idx[e3])[0].byte_pos)+(pos_idx[e3])[0].bit_pos]) && (!k2_onload);
			}
			if(k==4){
				val_bool[att_index[index]][k] = 
					(!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e4])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e4])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e5])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e5])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e6])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e6])[0].bit_pos] ||
					!msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_signals_e7])[0].byte_pos)+(pos_idx_undulator[Undulator_search_signals_e7])[0].bit_pos])&&(!k2_onload);
			}
			if(k==5 || k==6){
				val_bool[att_index[index]][k] = (msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])&&(!k2_onload);
			}
			if(k==11){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[2].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[2].bit_pos]&&(!k2_onload);
			}
			if(k==12){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[0].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[0].bit_pos]&&(!k2_onload);
			}
			if(k==13){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[1].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[1].bit_pos]&&(!k2_onload);
			}
			if(k==14){
				val_bool[att_index[index]][k] = !msg_stat_undulator[(8*(pos_idx_undulator[Undulator_search_ini_so])[3].byte_pos)+(pos_idx_undulator[Undulator_search_ini_so])[3].bit_pos]&&(!k2_onload);
			}
			if(k==15){
				val_bool[att_index[index]][k] = ((msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!k2_onload);
			}
		}
#else
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
#endif
		attr_Linac_mod_inhib_rf_k2_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_inhib_rf_k2_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_inhib_hv_k1
// 
// description : 	Extract real attribute values for Linac_mod_inhib_hv_k1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_inhib_hv_k1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_inhib_hv_k1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
#if 1
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
#else
	int iy = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_abi_rf")!=NULL) {
			iy = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		val_bool[att_index[index]][0] = (!(msg_stat[(8*(pos_idx[index])[0].byte_pos)+(pos_idx[index])[0].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[1].byte_pos)+(pos_idx[iy])[1].bit_pos]));
		for(int k=1;k<att_len[index];k++){
			val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[3].byte_pos)+(pos_idx[iy])[3].bit_pos]));
		}
#endif
		attr_Linac_mod_inhib_hv_k1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_inhib_hv_k1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_inhib_hv_k2
// 
// description : 	Extract real attribute values for Linac_mod_inhib_hv_k2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_inhib_hv_k2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_inhib_hv_k2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
#if 1
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
#else
	int iy = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_abi_rf")!=NULL) {
			iy = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		val_bool[att_index[index]][0] = (!(msg_stat[(8*(pos_idx[index])[0].byte_pos)+(pos_idx[index])[0].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[2].byte_pos)+(pos_idx[iy])[2].bit_pos]));
		for(int k=1;k<att_len[index];k++){
			val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[3].byte_pos)+(pos_idx[iy])[3].bit_pos]));
		}
#endif
		attr_Linac_mod_inhib_hv_k2_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_inhib_hv_k2_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_inhib_hv_ks
// 
// description : 	Extract real attribute values for Linac_mod_inhib_hv_ks acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_inhib_hv_ks(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_inhib_hv_ks(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
#if 1
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
#else
	int iy = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_mod_abi_rf")!=NULL) {
			iy = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		val_bool[att_index[index]][0] = (!(msg_stat[(8*(pos_idx[index])[0].byte_pos)+(pos_idx[index])[0].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[0].byte_pos)+(pos_idx[iy])[0].bit_pos]));
		for(int k=1;k<att_len[index];k++){
			val_bool[att_index[index]][k] = (!(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]))&&(!(msg_stat[(8*(pos_idx[iy])[3].byte_pos)+(pos_idx[iy])[3].bit_pos]));
		}
#endif
		attr_Linac_mod_inhib_hv_ks_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_inhib_hv_ks_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_badge_on
// 
// description : 	Extract real attribute values for Linac_badge_on acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_badge_on(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_badge_on(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_acc[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
			busy_key[k] = msg_acc[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_badge_on_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_badge_on_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_emergency_memo_buttons
// 
// description : 	Extract real attribute values for Linac_emergency_memo_buttons acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_emergency_memo_buttons(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_emergency_memo_buttons(Tango::Attribute &attr) entering... "<< endl;

	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
/*
		vector<Tango::DeviceAttribute> *devattr_memo = 0;
		vector<string> attr_memo;
		vector<bool> valuesmemo;
		try {
		
			attr_memo.push_back("memo_buttons");
			devattr_memo = ll_server->read_attributes(attr_memo);
			(*devattr_memo)[0] >> valuesmemo;
			delete devattr_memo;
			for(int i=0;i<att_len[index];i++){
				val_bool[att_index[index]][i] = (Tango::DevBoolean)(valuesmemo.at(i));
			}
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status = false;
			cout<<"attribute refresh 4 failed "<<endl;
			if(devattr_memo)
				delete devattr_memo;
		}
*/
		attr_Linac_emergency_memo_buttons_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_emergency_memo_buttons_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_memoopen_ext
// 
// description : 	Extract real attribute values for Linac_doors_memoopen_ext acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_memoopen_ext(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_memoopen_ext(Tango::Attribute &attr) entering... "<< endl;
//	cout<<"read attr: "<<attr.get_name()<<endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
//		cout<<"confronto: "<<att_names[k]<<" con "<<c.c_str()<<endl;
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
//			cout<<"found at index: "<<k<<endl;
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_memoopen_ext_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_memoopen_ext_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}

}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_on_pcgun
// 
// description : 	Extract real attribute values for Linac_mod_on_pcgun acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_on_pcgun(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_on_pcgun(Tango::Attribute &attr) entering... "<< endl;
	modpcgun = verify_modpcgun();
	attr_Linac_mod_on_pcgun_read = &modpcgun;
	attr.set_value_date_quality(attr_Linac_mod_on_pcgun_read, now, Tango::ATTR_VALID, 1,0,false);
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_onS0
// 
// description : 	Extract real attribute values for Linac_mod_onS0 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_onS0(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_onS0(Tango::Attribute &attr) entering... "<< endl;
	modS0 = verify_modS0();
	attr_Linac_mod_onS0_read = &modS0;
	attr.set_value_date_quality(attr_Linac_mod_onS0_read, now, Tango::ATTR_VALID, 1,0,false);
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Plc_status
// 
// description : 	Extract real attribute values for Plc_status acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Plc_status(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Plc_status(Tango::Attribute &attr) entering... "<< endl;
	attr_Plc_status_read = &plc_status;
	attr.set_value_date_quality(attr_Plc_status_read, now, Tango::ATTR_VALID, 1,0,false);
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_badge_all
// 
// description : 	Extract real attribute values for Linac_badge_all acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_badge_all(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_badge_all(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
/*		vector<Tango::DeviceAttribute> *devattr_memo = 0;
		vector<string> attr_memo;
		vector<string> valuesmemo;
		try {
		
			attr_memo.push_back("ctrl_names");
			devattr_memo = ll_server->read_attributes(attr_memo);
			(*devattr_memo)[0] >> valuesmemo;
			delete devattr_memo;
			for(int i=0;i<valuesmemo.size();i++){
		//		val_bool[att_index[index]][i] = (Tango::DevBoolean)(valuesmemo.at(i));
				strncpy(val_string[att_index[index]][i], ((string)(valuesmemo.at(i))).c_str(), BADGE_SIZE*sizeof(u_short));
			}
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status = false;
			cout<<"attribute refresh 5 failed "<<endl;
			if(devattr_memo)
				delete devattr_memo;
		}*/
	//	cout<<"attrib "<< att_names[index]<<" index:"<< index<<endl;
		attr_Linac_badge_all_read = &(val_string[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_badge_all_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_disp_ext_code
// 
// description : 	Extract real attribute values for Linac_disp_ext_code acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_disp_ext_code(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_disp_ext_code(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_short["<<att_index[index]<<"]["<<k<<"]"<<endl;
			int res = 0;
			int pow = 1;
			for(int j=0;j<16;j++){
//				int tf = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]?1:0;
		//		cout<<tf<<"-";
				res+=msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]?pow:0;
				pow*=2;
			}
			val_short[att_index[index]][k] = res;
		//	cout<<endl;
		}
		attr_Linac_disp_ext_code_read = &(val_short[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_disp_ext_code_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_disp_int_code
// 
// description : 	Extract real attribute values for Linac_disp_int_code acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_disp_int_code(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_disp_int_code(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_short["<<att_index[index]<<"]["<<k<<"]"<<endl;
			int res = 0;
			int pow = 1;
			for(int j=0;j<16;j++){
	//			int tf = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]?1:0;
		//		cout<<tf<<"-";
				res+=msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]?pow:0;
				pow*=2;
			}
			val_short[att_index[index]][k] = res;
		//	cout<<endl;
		}
		attr_Linac_disp_int_code_read = &(val_short[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_disp_int_code_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}

}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_access_names
// 
// description : 	Extract real attribute values for Linac_access_names acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_access_names(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_access_names(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
/*		vector<Tango::DeviceAttribute> *devattr_memo = 0;
		vector<string> attr_memo;
		vector<string> valuesmemo;
		try {
		
			attr_memo.push_back("ctrl_names");
			devattr_memo = ll_server->read_attributes(attr_memo);
			(*devattr_memo)[0] >> valuesmemo;
			delete devattr_memo;
			for(int i=0;i<valuesmemo.size();i++){
		//		val_bool[att_index[index]][i] = (Tango::DevBoolean)(valuesmemo.at(i));
				strncpy(val_string[att_index[index]][i], ((string)(valuesmemo.at(i))).c_str(), BADGE_SIZE*sizeof(u_short));
			}
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status = false;
			cout<<"attribute refresh 5 failed "<<endl;
			if(devattr_memo)
				delete devattr_memo;
		}

*/

	//	cout<<"attrib "<< att_names[index]<<" index:"<< index<<endl;
		attr_Linac_access_names_read = &(val_string[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_access_names_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_names
// 
// description : 	Extract real attribute values for Linac_search_names acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_names(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_names(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
/*		vector<Tango::DeviceAttribute> *devattr_memo = 0;
		vector<string> attr_memo;
		vector<string> valuesmemo;
		try {
		
			attr_memo.push_back("search_names");
			devattr_memo = ll_server->read_attributes(attr_memo);
			(*devattr_memo)[0] >> valuesmemo;
			delete devattr_memo;
			for(int i=0;i<(int)valuesmemo.size();i++){
		//		val_bool[att_index[index]][i] = (Tango::DevBoolean)(valuesmemo.at(i));
				strncpy(val_string[att_index[index]][i], ((string)(valuesmemo.at(i))).c_str(), BADGE_SIZE*sizeof(u_short));
			}
	//		cout<<"attribute state refresh successful at: "<< now.tv_sec<<"/"<< now.tv_usec<<endl;
		}
		catch(Tango::DevFailed &e) {
			plc_status = false;
			cout<<"attribute refresh 6 failed "<<endl;
			if(devattr_memo)
				delete devattr_memo;
		}*/
	//	cout<<"attrib "<< att_names[index]<<" index:"<< index<<endl;
		attr_Linac_search_names_read = &(val_string[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_names_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_ext
// 
// description : 	Extract real attribute values for Linac_doors_ext acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_ext(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_ext(Tango::Attribute &attr) entering... "<< endl;
//	cout<<"read attr: "<<attr.get_name()<<endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
//		cout<<"confronto: "<<att_names[k]<<" con "<<c.c_str()<<endl;
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
//			cout<<"found at index: "<<k<<endl;
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_ext_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_ext_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}

}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_fail_e0
// 
// description : 	Extract real attribute values for Linac_search_fail_e0 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_fail_e0(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_fail_e0(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_fail_e0_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_fail_e0_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_fail_e1
// 
// description : 	Extract real attribute values for Linac_search_fail_e1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_fail_e1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_fail_e1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_fail_e1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_fail_e1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_fail_e2
// 
// description : 	Extract real attribute values for Linac_search_fail_e2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_fail_e2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_fail_e2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_fail_e2_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_fail_e2_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_fail_e3
// 
// description : 	Extract real attribute values for Linac_search_fail_e3 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_fail_e3(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_fail_e3(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_fail_e3_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_fail_e3_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_fail_l
// 
// description : 	Extract real attribute values for Linac_search_fail_l acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_fail_l(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_fail_l(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
#if 0
	int ix = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_access_signals")!=NULL) {///ingresso/uscita in corso
			ix = k;
		}
	}
	if((ix == -1)||(index == -1)){
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			switch(k){
				case 0:
				val_bool[att_index[index]][k] = (msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])&&(msg_stat[(8*(pos_idx[ix])[8].byte_pos)+(pos_idx[ix])[8].bit_pos]);//ingresso in corso
				break;
				case 1:
				val_bool[att_index[index]][k] = (msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])&&(msg_stat[(8*(pos_idx[ix])[16].byte_pos)+(pos_idx[ix])[16].bit_pos]);
				break;
				default:
				val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
				break;
			}
#else
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
#endif
		attr_Linac_search_fail_l_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_fail_l_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_fail_tl
// 
// description : 	Extract real attribute values for Linac_search_fail_tl acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_fail_tl(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_fail_tl(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_fail_tl_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_fail_tl_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_sir_buz
// 
// description : 	Extract real attribute values for Linac_sir_buz acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_sir_buz(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_sir_buz(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_sir_buz_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_sir_buz_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_state
// 
// description : 	Extract real attribute values for Linac_state acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_state(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_state(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_state_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_state_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_switches_abi
// 
// description : 	Extract real attribute values for Linac_switches_abi acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_switches_abi(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_switches_abi(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_switches_abi_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_switches_abi_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_switches_config
// 
// description : 	Extract real attribute values for Linac_switches_config acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_switches_config(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_switches_config(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_byt["<<att_index[index]<<"]["<<k<<"]"<<endl;
			int res = 0;
			int pow = 1;
			for(int j=0;j<8;j++){
	//			int tf = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]?1:0;
		//		cout<<tf<<"-";
				res+=msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]?pow:0;
				pow*=2;
			}
			lsc[k] = res;//copy value also in lsc
			val_byt[att_index[index]][k] = res;
		//	cout<<endl;
		}
		attr_Linac_switches_config_read = &(val_byt[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_switches_config_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_switches_load
// 
// description : 	Extract real attribute values for Linac_switches_load acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_switches_load(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_switches_load(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_switches_load_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_switches_load_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_switches_moving
// 
// description : 	Extract real attribute values for Linac_switches_moving acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_switches_moving(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_switches_moving(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_switches_moving_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_switches_moving_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_switches_stable
// 
// description : 	Extract real attribute values for Linac_switches_stable acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_switches_stable(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_switches_stable(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
			/*
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_byt["<<att_index[index]<<"]["<<k<<"]"<<endl;
			int res = 0;
			int pow = 1;
			for(int j=0;j<8;j++){
	//			int tf = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]?1:0;
		//		cout<<tf<<"-";
				res+=msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos+j]?pow:0;
				pow*=2;
			}
			val_byt[att_index[index]][k] = res;
		//	cout<<endl;
			*/
		}
		attr_Linac_switches_stable_read = &(val_bool[att_index[index]][0]);
		// attr_Linac_switches_stable_read = &(val_byt[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_switches_stable_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Version
// 
// description : 	Extract real attribute values for Version acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Version(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Version(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	string c_undulator = attr.get_name()+"_undulator";
	int index_undulator = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names_undulator[k]),c_undulator.c_str())!=NULL) {
			index_undulator = k;
		}
	}
	if(index_undulator == -1){
		cout << "attr undulator not found: " << c_undulator.c_str() << endl;
	}
	if(index != -1 && index_undulator != -1){
	//	strncpy(val_string[att_index[in]][j], ((string)(valuesn.at(j))).c_str(), BADGE_SIZE*sizeof(u_short));
		int res = 0;
		int pow = 1;
//		for(int j=15;j>-1;j--){
		for(int j=8;j<16;j++){
			res+=msg_stat[(8*(pos_idx[index])[0].byte_pos)+(pos_idx[index])[0].bit_pos+j]?pow:0;
			pow*=2;
		}
		int res_und = 0;
		int pow_und = 1;
//		for(int j=15;j>-1;j--){
		for(int j=8;j<16;j++){
			res_und+=msg_stat_undulator[(8*(pos_idx[index_undulator])[0].byte_pos)+(pos_idx[index_undulator])[0].bit_pos+j]?pow_und:0;
			pow_und*=2;
		}
		
		sprintf(version_str, "PLC Linac:%d PLC Undulator:%d srv:?? ",res, res_und);//controllare lunghezza!

	//	cout<<"attrib "<< att_names[index]<<" index:"<< index<<endl;
		attr_Version_read[0] = (char *)version_str;
		attr.set_value_date_quality(attr_Version_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_signals_e0
// 
// description : 	Extract real attribute values for Linac_search_signals_e0 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_signals_e0(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_signals_e0(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_signals_e0_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_signals_e0_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_signals_e1
// 
// description : 	Extract real attribute values for Linac_search_signals_e1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_signals_e1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_signals_e1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_signals_e1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_signals_e1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_signals_e2
// 
// description : 	Extract real attribute values for Linac_search_signals_e2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_signals_e2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_signals_e2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_signals_e2_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_signals_e2_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_signals_e3
// 
// description : 	Extract real attribute values for Linac_search_signals_e3 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_signals_e3(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_signals_e3(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_signals_e3_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_signals_e3_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_signals_l
// 
// description : 	Extract real attribute values for Linac_search_signals_l acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_signals_l(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_signals_l(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_signals_l_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_signals_l_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_signals_tl
// 
// description : 	Extract real attribute values for Linac_search_signals_tl acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_signals_tl(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_signals_tl(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_signals_tl_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_signals_tl_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_ini_e0
// 
// description : 	Extract real attribute values for Linac_search_ini_e0 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_ini_e0(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_ini_e0(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	int iz = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_memoopen_e0")!=NULL) {
			iz = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
			if((k==2)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[2].byte_pos)+(pos_idx[iz])[2].bit_pos]));//I1_E0 not closed or yellow
			}
			if((k==3)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[3].byte_pos)+(pos_idx[iz])[3].bit_pos]));//I2_E0 not closed or yellow
			}
			if((k==4)){
				val_bool[att_index[index]][k] = !(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
		}
		attr_Linac_search_ini_e0_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_ini_e0_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_ini_e1
// 
// description : 	Extract real attribute values for Linac_search_ini_e1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_ini_e1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_ini_e1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	int iz = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_memoopen_e1")!=NULL) {
			iz = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
/*
			if((k==2)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[2].byte_pos)+(pos_idx[iz])[2].bit_pos]));//I1_E0 not closed or yellow
			}
			if((k==3)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[3].byte_pos)+(pos_idx[iz])[3].bit_pos]));//I2_E0 not closed or yellow
			}
*/
			if((k>=2)){
				val_bool[att_index[index]][k] = !(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
		}
		attr_Linac_search_ini_e1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_ini_e1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_ini_e2
// 
// description : 	Extract real attribute values for Linac_search_ini_e2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_ini_e2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_ini_e2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	int iz = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_memoopen_e1")!=NULL) {
			iz = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
/*
			if((k==2)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[2].byte_pos)+(pos_idx[iz])[2].bit_pos]));//I1_E0 not closed or yellow
			}
			if((k==3)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[3].byte_pos)+(pos_idx[iz])[3].bit_pos]));//I2_E0 not closed or yellow
			}
*/
			if((k>=2)){
				val_bool[att_index[index]][k] = !(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
		}
		attr_Linac_search_ini_e2_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_ini_e2_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_ini_e3
// 
// description : 	Extract real attribute values for Linac_search_ini_e3 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_ini_e3(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_ini_e3(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	int iz = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_memoopen_e1")!=NULL) {
			iz = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
/*
			if((k==2)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[2].byte_pos)+(pos_idx[iz])[2].bit_pos]));//I1_E0 not closed or yellow
			}
			if((k==3)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[3].byte_pos)+(pos_idx[iz])[3].bit_pos]));//I2_E0 not closed or yellow
			}
*/
			if((k>=3)){
				val_bool[att_index[index]][k] = !(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
		}
		attr_Linac_search_ini_e3_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_ini_e3_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_ini_l
// 
// description : 	Extract real attribute values for Linac_search_ini_l acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_ini_l(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_ini_l(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
#if 0
	int ix = -1;
	int iy = -1;
	int iz = -1;
	int it = -1;
	int ib = -1;
	int ip = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_access_signals")!=NULL) {
			ix = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_memoopen_ext")!=NULL) {
			iy = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_memoopen_e3")!=NULL) {
			iz = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_memoopen_tl")!=NULL) {
			it = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_emergency_buttons")!=NULL) {
			ib = k;
		}
		if(strstr((char*)(att_names[k]),"Linac_doors_l")!=NULL) {
			ip = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
			if((k==10)){
				val_bool[att_index[index]][k] = !msg_stat[(8*(pos_idx[ib])[0].byte_pos)+(pos_idx[ib])[0].bit_pos];//eme pressed
//				if(val_bool[att_index[index]][k])
//					cout<<"first step 1-"<<endl;
//				else
//					cout<<"first step 0-"<<endl;
				for(int b=1;b<att_len[ib];b++){//for every eme button
					val_bool[att_index[index]][k] = val_bool[att_index[index]][k]||(!msg_stat[(8*(pos_idx[ib])[b].byte_pos)+(pos_idx[ib])[b].bit_pos]);
//					if(val_bool[att_index[index]][k])
//						cout<<b<<" step 1-"<<endl;
//					else
//						cout<<b<<" step 0-"<<endl;
				}
				val_bool[att_index[index]][k] = !(val_bool[att_index[index]][k]);
//				if(val_bool[att_index[index]][k])
//					cout<<"final 1-"<<endl;
//				else
//					cout<<"final 0-"<<endl;
			}
			if((k==4)){
				val_bool[att_index[index]][k] = !msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];//unblocked
				val_bool[att_index[index]][k] = !((val_bool[att_index[index]][k])||(!msg_stat[(8*(pos_idx[ip])[1].byte_pos)+(pos_idx[ip])[1].bit_pos]));//eme non ripr
			}
			if((k==10)){
				val_bool[att_index[index]][k] = !msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];//eme non ripr
			}
			if((k==12)){// ! perche' negato su pannello
				val_bool[att_index[index]][k] = !((msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[ix])[16].byte_pos)+(pos_idx[ix])[16].bit_pos]));//ingersso uscita in corso
			}
			if((k>=13)){// ! perche' negato su pannello
				val_bool[att_index[index]][k] = !(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
			if((k==18)){// ! perche' negato su pannello
				val_bool[att_index[index]][k] = (msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
			/*
			if((k==18)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iy])[2].byte_pos)+(pos_idx[iy])[2].bit_pos]));//I3_E0 not closed or yellow
			}
			if((k==19)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[2].byte_pos)+(pos_idx[iz])[2].bit_pos]));//I1_E3 not closed or yellow
			}
			if((k==20)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[iz])[3].byte_pos)+(pos_idx[iz])[3].bit_pos]));//I2_E3 not closed or yellow
			}
			if((k==21)){
				val_bool[att_index[index]][k] = !((!msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos])||(msg_stat[(8*(pos_idx[it])[1].byte_pos)+(pos_idx[it])[1].bit_pos]));//I1_T1 not closed or yellow
			}
			*/
		}
#else
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
			if((k>=13)){// ! perche' negato su pannello
				val_bool[att_index[index]][k] = !(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
			if((k==18)){// ! perche' negato su pannello
				val_bool[att_index[index]][k] = (msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
		}
#endif
		attr_Linac_search_ini_l_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_ini_l_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_ini_tl
// 
// description : 	Extract real attribute values for Linac_search_ini_tl acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_ini_tl(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_ini_tl(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
			if((k==3)||(k==4)||(k==1)){
				val_bool[att_index[index]][k] = !msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];//eme non ripr
			}
		}
		attr_Linac_search_ini_tl_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_ini_tl_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_barriers
// 
// description : 	Extract real attribute values for Linac_search_barriers acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_barriers(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_barriers(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_barriers_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_barriers_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_buttons
// 
// description : 	Extract real attribute values for Linac_search_buttons acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_buttons(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_buttons(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_buttons_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_buttons_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_doorlights
// 
// description : 	Extract real attribute values for Linac_search_doorlights acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_doorlights(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_doorlights(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_doorlights_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_doorlights_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_lights
// 
// description : 	Extract real attribute values for Linac_search_lights acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_lights(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_lights(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_lights_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_lights_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_req_l
// 
// description : 	Extract real attribute values for Linac_search_req_l acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_req_l(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_req_l(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
			/*
			if((k>16)){// ! perche' negato su pannello
				val_bool[att_index[index]][k] = !(msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos]);
			}
			*/
		}
		attr_Linac_search_req_l_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_req_l_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_req_tl
// 
// description : 	Extract real attribute values for Linac_search_req_tl acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_req_tl(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_req_tl(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_req_tl_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_req_tl_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_req_e0
// 
// description : 	Extract real attribute values for Linac_search_req_e0 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_req_e0(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_req_e0(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_req_e0_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_req_e0_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_req_e1
// 
// description : 	Extract real attribute values for Linac_search_req_e1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_req_e1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_req_e1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_req_e1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_req_e1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_req_e2
// 
// description : 	Extract real attribute values for Linac_search_req_e2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_req_e2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_req_e2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_req_e2_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_req_e2_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_search_req_e3
// 
// description : 	Extract real attribute values for Linac_search_req_e3 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_search_req_e3(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_search_req_e3(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_search_req_e3_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_search_req_e3_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_abi_hv
// 
// description : 	Extract real attribute values for Linac_mod_abi_hv acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_abi_hv(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_abi_hv(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_mod_abi_hv_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_abi_hv_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_abi_rf
// 
// description : 	Extract real attribute values for Linac_mod_abi_rf acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_abi_rf(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_abi_rf(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_mod_abi_rf_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_abi_rf_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_hv
// 
// description : 	Extract real attribute values for Linac_mod_hv acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_hv(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_hv(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_mod_hv_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_hv_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_rf
// 
// description : 	Extract real attribute values for Linac_mod_rf acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_rf(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_rf(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_mod_rf_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_rf_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_positions
// 
// description : 	Extract real attribute values for Linac_mod_positions acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_positions(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_positions(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		DEBUG_STREAM << "FSafety::read_Linac_mod_positions att_len[index]"<<att_len[index]<< endl;
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
			lmp[k] = val_bool[att_index[index]][k];//copy value also in lmp
		}
		attr_Linac_mod_positions_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_positions_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_mod_pre_hv_abi
// 
// description : 	Extract real attribute values for Linac_mod_pre_hv_abi acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_mod_pre_hv_abi(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_mod_pre_hv_abi(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_mod_pre_hv_abi_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_mod_pre_hv_abi_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_pickup
// 
// description : 	Extract real attribute values for Linac_pickup acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_pickup(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_pickup(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_pickup_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_pickup_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_safety
// 
// description : 	Extract real attribute values for Linac_safety acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_safety(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_safety(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_safety_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_safety_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_memoopen_e0
// 
// description : 	Extract real attribute values for Linac_doors_memoopen_e0 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_memoopen_e0(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_memoopen_e0(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_memoopen_e0_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_memoopen_e0_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_memoopen_e1
// 
// description : 	Extract real attribute values for Linac_doors_memoopen_e1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_memoopen_e1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_memoopen_e1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_memoopen_e1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_memoopen_e1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_memoopen_e2
// 
// description : 	Extract real attribute values for Linac_doors_memoopen_e2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_memoopen_e2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_memoopen_e2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_memoopen_e2_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_memoopen_e2_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_memoopen_e3
// 
// description : 	Extract real attribute values for Linac_doors_memoopen_e3 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_memoopen_e3(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_memoopen_e3(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_memoopen_e3_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_memoopen_e3_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_memoopen_l
// 
// description : 	Extract real attribute values for Linac_doors_memoopen_l acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_memoopen_l(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_memoopen_l(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_memoopen_l_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_memoopen_l_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_memoopen_tl
// 
// description : 	Extract real attribute values for Linac_doors_memoopen_tl acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_memoopen_tl(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_memoopen_tl(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_memoopen_tl_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_memoopen_tl_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_emergency_buttons
// 
// description : 	Extract real attribute values for Linac_emergency_buttons acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_emergency_buttons(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_emergency_buttons(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_emergency_buttons_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_emergency_buttons_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_gamma
// 
// description : 	Extract real attribute values for Linac_gamma acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_gamma(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_gamma(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_gamma_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_gamma_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_key_glob
// 
// description : 	Extract real attribute values for Linac_key_glob acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_key_glob(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_key_glob(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_key_glob_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_key_glob_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_glob_signals
// 
// description : 	Extract real attribute values for Linac_glob_signals acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_glob_signals(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_glob_signals(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_glob_signals_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_glob_signals_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_key_ext
// 
// description : 	Extract real attribute values for Linac_key_ext acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_key_ext(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_key_ext(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_key_ext_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_key_ext_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_key_int
// 
// description : 	Extract real attribute values for Linac_key_int acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_key_int(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_key_int(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_key_int_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_key_int_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_key_release
// 
// description : 	Extract real attribute values for Linac_key_release acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_key_release(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_key_release(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_key_release_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_key_release_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_l
// 
// description : 	Extract real attribute values for Linac_doors_l acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_l(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_l(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_l_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_l_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_tl
// 
// description : 	Extract real attribute values for Linac_doors_tl acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_tl(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_tl(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_tl_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_tl_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_e0
// 
// description : 	Extract real attribute values for Linac_doors_e0 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_e0(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_e0(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_e0_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_e0_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_e1
// 
// description : 	Extract real attribute values for Linac_doors_e1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_e1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_e1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_e1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_e1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_e2
// 
// description : 	Extract real attribute values for Linac_doors_e2 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_e2(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_e2(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_e2_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_e2_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_doors_e3
// 
// description : 	Extract real attribute values for Linac_doors_e3 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_doors_e3(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_doors_e3(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_doors_e3_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_doors_e3_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_boards_disabled
// 
// description : 	Extract real attribute values for Linac_boards_disabled acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_boards_disabled(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_boards_disabled(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_boards_disabled_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_boards_disabled_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_008
// 
// description : 	Extract real attribute values for Linac_board_disabled_008 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_008(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_008(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_008_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_008_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_040
// 
// description : 	Extract real attribute values for Linac_board_disabled_040 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_040(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_040(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_040_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_040_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_058
// 
// description : 	Extract real attribute values for Linac_board_disabled_058 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_058(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_058(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_058_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_058_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_068
// 
// description : 	Extract real attribute values for Linac_board_disabled_068 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_068(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_068(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_068_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_068_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_078
// 
// description : 	Extract real attribute values for Linac_board_disabled_078 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_078(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_078(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_078_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_078_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_100
// 
// description : 	Extract real attribute values for Linac_board_disabled_100 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_100(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_100(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_100_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_100_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_106
// 
// description : 	Extract real attribute values for Linac_board_disabled_106 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_106(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_106(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_106_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_106_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_126
// 
// description : 	Extract real attribute values for Linac_board_disabled_126 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_126(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_126(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_126_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_126_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_132
// 
// description : 	Extract real attribute values for Linac_board_disabled_132 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_132(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_132(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_132_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_132_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_152
// 
// description : 	Extract real attribute values for Linac_board_disabled_152 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_152(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_152(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_152_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_152_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_158
// 
// description : 	Extract real attribute values for Linac_board_disabled_158 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_158(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_158(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_158_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_158_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_178
// 
// description : 	Extract real attribute values for Linac_board_disabled_178 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_178(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_178(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_178_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_178_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_184
// 
// description : 	Extract real attribute values for Linac_board_disabled_184 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_184(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_184(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_184_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_184_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_190
// 
// description : 	Extract real attribute values for Linac_board_disabled_190 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_190(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_190(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_190_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_190_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_196
// 
// description : 	Extract real attribute values for Linac_board_disabled_196 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_196(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_196(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_196_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_196_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_202
// 
// description : 	Extract real attribute values for Linac_board_disabled_202 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_202(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_202(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_202_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_202_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_216
// 
// description : 	Extract real attribute values for Linac_board_disabled_216 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_216(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_216(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_216_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_216_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_240
// 
// description : 	Extract real attribute values for Linac_board_disabled_240 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_240(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_240(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_240_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_240_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_252
// 
// description : 	Extract real attribute values for Linac_board_disabled_252 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_252(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_252(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_252_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_252_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_258
// 
// description : 	Extract real attribute values for Linac_board_disabled_258 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_258(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_258(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_258_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_258_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_280
// 
// description : 	Extract real attribute values for Linac_board_disabled_280 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_280(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_280(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_280_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_280_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_286
// 
// description : 	Extract real attribute values for Linac_board_disabled_286 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_286(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_286(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_286_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_286_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_308
// 
// description : 	Extract real attribute values for Linac_board_disabled_308 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_308(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_308(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_308_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_308_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_314
// 
// description : 	Extract real attribute values for Linac_board_disabled_314 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_314(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_314(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_314_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_314_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_088
// 
// description : 	Extract real attribute values for Linac_board_disabled_088 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_088(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_088(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_088_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_088_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_232
// 
// description : 	Extract real attribute values for Linac_board_disabled_232 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_232(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_232(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_232_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_232_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_222
// 
// description : 	Extract real attribute values for Linac_board_disabled_222 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_222(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_222(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_222_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_222_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_227
// 
// description : 	Extract real attribute values for Linac_board_disabled_227 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_227(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_227(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_227_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_227_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_246
// 
// description : 	Extract real attribute values for Linac_board_disabled_246 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_246(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_246(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_246_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_246_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_264
// 
// description : 	Extract real attribute values for Linac_board_disabled_264 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_264(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_264(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_264_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_264_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_269
// 
// description : 	Extract real attribute values for Linac_board_disabled_269 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_269(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_269(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_269_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_269_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_292
// 
// description : 	Extract real attribute values for Linac_board_disabled_292 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_292(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_292(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_292_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_292_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_297
// 
// description : 	Extract real attribute values for Linac_board_disabled_297 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_297(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_297(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_297_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_297_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_320
// 
// description : 	Extract real attribute values for Linac_board_disabled_320 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_320(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_320(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_320_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_320_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_board_disabled_325
// 
// description : 	Extract real attribute values for Linac_board_disabled_325 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_board_disabled_325(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_board_disabled_325(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_board_disabled_325_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_board_disabled_325_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_boards_resettable
// 
// description : 	Extract real attribute values for Linac_boards_resettable acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_boards_resettable(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_boards_resettable(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_boards_resettable_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_boards_resettable_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_bst_1
// 
// description : 	Extract real attribute values for Linac_bst_1 acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_bst_1(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_bst_1(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_bst_1_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_bst_1_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}




//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Exphall_gamma
// 
// description : 	Extract real attribute values for Exphall_gamma acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Exphall_gamma(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Exphall_gamma(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Exphall_gamma_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Exphall_gamma_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_access_signals
// 
// description : 	Extract real attribute values for Linac_access_signals acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_access_signals(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_access_signals(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_access_signals_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_access_signals_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_access_state
// 
// description : 	Extract real attribute values for Linac_access_state acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_access_state(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_access_state(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
		for(int k=0;k<att_len[index];k++){
//			cout<<"positions: "<<(pos_idx[index])[k].byte_pos <<"."<< (pos_idx[index])[k].bit_pos<<endl;
//			cout<<"changing val_bool["<<att_index[index]<<"]["<<k<<"]"<<endl;
			val_bool[att_index[index]][k] = msg_stat[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
		}
		attr_Linac_access_state_read = &(val_bool[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_access_state_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}

//+----------------------------------------------------------------------------
//
// method : 		FSafety::read_Linac_badge_ack
// 
// description : 	Extract real attribute values for Linac_badge_ack acquisition result.
//
//-----------------------------------------------------------------------------
void FSafety::read_Linac_badge_ack(Tango::Attribute &attr)
{
	DEBUG_STREAM << "FSafety::read_Linac_badge_ack(Tango::Attribute &attr) entering... "<< endl;
	string c = attr.get_name();
	int index = -1;
	for(int k=0;k<found_attr;k++){
		if(strstr((char*)(att_names[k]),c.c_str())!=NULL) {
			index = k;
		}
	}
	if(index == -1){
		cout << "attr not found: " << c.c_str() << endl;
	}
	else{
	//	cout<<"attrib "<< att_names[index]<<" index:"<< index<<endl;
		attr_Linac_badge_ack_read = &(val_string[att_index[index]][0]);
		attr.set_value_date_quality(attr_Linac_badge_ack_read, now, Tango::ATTR_VALID, att_len[index],0,false);
	}
}



//ad hoc method for calculating value of Linac_mod_on_pcgun logic attribute
int FSafety::verify_modpcgun(){//needs attribute Linac_mod_positions
	int res = -1;
	if(lmp[6]&&(!lmp[7])){//K1_FOTOINJ
		res = 1;
	}
	if(lmp[7]&&(!lmp[6])){//KS_FOTOINJ
		res = 0;
	}
	return res;
}


//ad hoc method for calculating value of Linac_mod_on_S0 logic attribute
int FSafety::verify_modS0(){//needs attribute Linac_switches_config
	int res = -1;
	if((lsc[4]>0)&&(lsc[4]<5)&&(lsc[5]>0)&&(lsc[5]<5)) return 2;
	if((lsc[2]>0)&&(lsc[2]<5)&&(lsc[3]>0)&&(lsc[3]<5)&&(lsc[4]>4)&&(lsc[4]<9)&&(lsc[5]>4)&&(lsc[5]<9)) return 1;
	if((lsc[0]>0)&&(lsc[0]<5)&&(lsc[1]>0)&&(lsc[1]<5)&&(lsc[2]>4)&&(lsc[2]<9)&&(lsc[3]>4)&&(lsc[3]<9)&&(lsc[4]>4)&&(lsc[4]<9)&&(lsc[5]>4)&&(lsc[5]<9)) res = 0;
	return res;
}


void FSafety::load_cond(){
	fd.open(start_file.c_str());  

	char pbuf[50];		
	if (!fd){
		cout << "PLCll::load_cond() cannot open file:" << strerror(errno) << endl;
   	}
	else{
		cout << "PLCll::load_cond() file opened successfully" << endl;
		string lineread, typ, pos, nam, siz, def, val;//typ=attr nam=label val=descr
		int k=0;
		int linestatok = 0;
		int linealmok = 0;
		int lineattrok = 0;
 		int linecmdok = 0;
 		int linedbstringok = 0;
 		int linedbboolok = 0;
 		int linenameok = 0;

		int linestatok_undulator = 0;
		int linealmok_undulator = 0;
		int lineattrok_undulator = 0;
 		int linecmdok_undulator = 0;
 		/*
		int linedbstringok_undulator = 0;
 		int linedbboolok_undulator = 0;
 		int linenameok_undulator = 0;
		*/
	       	int n;
		while(std::getline(fd, lineread, '\n')){ // Read line by line
			n = 0;
			k++;
			memset(pbuf, 0, 50);
			typ = lineread.substr(0, lineread.find('\t'));
			lineread = lineread.substr(lineread.find('\t')+1, lineread.length());
			pos = lineread.substr(0, lineread.find('\t'));
			lineread = lineread.substr(lineread.find('\t')+1, lineread.length());
			nam = lineread.substr(0, lineread.find('\t'));
			lineread = lineread.substr(lineread.find('\t')+1, lineread.length());
			siz = lineread.substr(0, lineread.find('\t'));
			lineread = lineread.substr(lineread.find('\t')+1, lineread.length());
			def = lineread.substr(0, lineread.find('\t'));
			lineread = lineread.substr(lineread.find('\t')+1, lineread.length());
			val = lineread.substr(lineread.find('\t')+1, lineread.length());
			if((int)(typ.find("attr_code_undulator"))!=-1){
// cout<<"typ "<<typ.c_str()<<"- pos "<<pos.c_str()<<"- nam "<<nam.c_str()<<"- siz "<<siz.c_str()<<"- def "<<def.c_str()<<endl;
					strcpy(att_names_undulator[lineattrok_undulator], nam.c_str()); 
					att_len_undulator[lineattrok_undulator] = atoi(pos.c_str());
					strcpy(att_db_undulator[lineattrok_undulator], siz.c_str());

					if((int)(def.find("short"))!=-1){
						att_type_undulator[lineattrok_undulator] = 2;
						att_index_undulator[lineattrok_undulator] = found_short_undulator;
						found_short_undulator++;
					}
					if((int)(def.find("string"))!=-1){
						att_type_undulator[lineattrok_undulator] = 1;
						att_index_undulator[lineattrok_undulator] = found_string_undulator;
						found_string_undulator++;
					}
					if((int)(def.find("byte"))!=-1){
						att_type_undulator[lineattrok_undulator] = 3;
						att_index_undulator[lineattrok_undulator] = found_byt_undulator;
						found_byt_undulator++;
					}
					if((int)(def.find("real"))!=-1){
						att_type_undulator[lineattrok_undulator] = 4;
						att_index_undulator[lineattrok_undulator] = found_real_undulator;
						found_real_undulator++;
					}
					if(att_type_undulator[lineattrok_undulator] == 0) {
						att_index_undulator[lineattrok_undulator] = found_bool_undulator;
						found_bool_undulator++;
					}
					lineattrok_undulator++;
			}
			else if((int)(typ.find("attr_code"))!=-1){
// cout<<"typ "<<typ.c_str()<<"- pos "<<pos.c_str()<<"- nam "<<nam.c_str()<<"- siz "<<siz.c_str()<<"- def "<<def.c_str()<<endl;
					strcpy(att_names[lineattrok], nam.c_str()); 
					att_len[lineattrok] = atoi(pos.c_str());
					strcpy(att_db[lineattrok], siz.c_str());
					if((int)(def.find("short"))!=-1){
						att_type[lineattrok] = 2;
						att_index[lineattrok] = found_short;
						found_short++;
					}
					if((int)(def.find("string"))!=-1){
						att_type[lineattrok] = 1;
						att_index[lineattrok] = found_string;
						found_string++;
					}
					if((int)(def.find("byte"))!=-1){
						att_type[lineattrok] = 3;
						att_index[lineattrok] = found_byt;
						found_byt++;
					}
					if((int)(def.find("real"))!=-1){
						att_type[lineattrok] = 4;
						att_index[lineattrok] = found_real;
						found_real++;
// cout << endl << endl << endl << "found_real: " << found_real << endl << endl; 
					}
					if(att_type[lineattrok] == 0) {
						att_index[lineattrok] = found_bool;
						found_bool++;
					}
				//	strcpy(att_type[lineattrok], def.c_str());
				//	Tango::DevString* labs = new Tango::DevString[MAX_LEN_ATTR];
				//	Tango::DevString* poss = new Tango::DevString[MAX_LEN_ATTR];
				//	for(int y=0;y<att_len[lineattrok];y++){
				//		labs[y] = new char[MAX_LEN_LABEL+1];
				//		poss[y] = new char[MAX_LEN_LABEL+1];
				//	}
				//	bit_labels.push_back(labs);
				//	bit_positions.push_back(poss);
					lineattrok++;
			}
			else if((int)(typ.find("db_bool"))!=-1){
			//	strcpy(dbb_names[linedbboolok], nam.c_str()); 
			//	dbb_len[linedbboolok] = atoi(pos.c_str());
			//	att_type[linedbboolok] = 0;
			//	db_bool[linedbboolok] = new Tango::DevBoolean[dbb_len[linedbboolok]];
				linedbboolok++;
			}else if((int)(typ.find("db_string"))!=-1){
			//	strcpy(dbs_names[linedbstringok], nam.c_str()); 
			//	dbs_len[linedbstringok] = atoi(pos.c_str());
			//	att_type[linedbstringok] = 1;
			//	db_string[linedbstringok] = new Tango::DevString[dbs_len[linedbstringok]];
			//	for(int i=0;i<dbs_len[linedbstringok];i++){
			//		((Tango::DevString *)db_string[linedbstringok])[i] = new char[(BADGE_SIZE*sizeof(u_short))+1];
			//		memset((Tango::DevString *)(db_string[linedbstringok])[i], 0, (BADGE_SIZE*sizeof(u_short))+1);
			//	}
				linedbstringok++;
			}
			else{
				for(int h=0;h<lineattrok;h++){
					if((int)(typ.find(att_names[h]))!=-1){
// cout<<"DETAIL h="<<h<<"- typ "<<typ.c_str()<<"- pos "<<pos.c_str()<<"- nam "<<nam.c_str()<<"- siz "<<siz.c_str()<<"- def "<<def.c_str()<<endl;
						int px;
						int p1,p2;
						p1 = p2 = px = 0;
						sscanf(siz.c_str(), "%d", &px);
						sscanf(pos.c_str(), "%d.%d", &p1, &p2);
// if ((int)(typ.find("mbd"))!=-1){cout << "h: " << h << ", att_names[h]: " <<  att_names[h] << ",px: " << px << ",p1: " << p1 << ",p2: " << p2 << endl;}
// cout<<"converted "<<px<<"-"<<p1<<"-"<<p2<<"-"<< att_names[h]<<endl;
						(pos_idx[h])[px].bit_pos = p2;
						(pos_idx[h])[px].byte_pos = p1;
//						cout<<"assigned "<<pos.c_str()<<"- name "<<nam.c_str()<<" on "<<att_names[h]<<endl;
						strcpy((val_labels[h])[px], nam.c_str());
						strcpy((val_pos[h])[px], pos.c_str());
					}
//	cout<<"loading "<<pos.c_str()<<"- bit for "<<nam.c_str()<<" on "<<h<<" position"<<endl;

//						strcpy((bit_labels.at(h)[linenameok]), nam.c_str()); 
//						strcpy((bit_positions.at(h)[linenameok]), pos.c_str()); 
						linenameok++;
						if(linenameok==att_len[h])linenameok = 0;
				}
				for(int h=0;h<lineattrok_undulator;h++){
					if((int)(typ.find(att_names_undulator[h]))!=-1){
// cout<<"DETAIL h="<<h<<"- typ "<<typ.c_str()<<"- pos "<<pos.c_str()<<"- nam "<<nam.c_str()<<"- siz "<<siz.c_str()<<"- def "<<def.c_str()<<endl;
						int px;
						int p1,p2;
						p1 = p2 = px = 0;
						sscanf(siz.c_str(), "%d", &px);
						sscanf(pos.c_str(), "%d.%d", &p1, &p2);
// cout<<"converted "<<px<<"-"<<p1<<"-"<<p2<<"-"<< att_names_undulator[h]<<endl;
						(pos_idx_undulator[h])[px].bit_pos = p2;
						(pos_idx_undulator[h])[px].byte_pos = p1;
// cout<<"assigned "<<pos.c_str()<<"- name "<<nam.c_str()<<" on "<<att_names[h]<<endl;
						strcpy((val_labels_undulator[h])[px], nam.c_str());
						strcpy((val_pos_undulator[h])[px], pos.c_str());
					}
//	cout<<"loading "<<pos.c_str()<<"- bit for "<<nam.c_str()<<" on "<<h<<" position"<<endl;

//						strcpy((bit_labels.at(h)[linenameok]), nam.c_str()); 
//						strcpy((bit_positions.at(h)[linenameok]), pos.c_str()); 
						linenameok++;
						if(linenameok==att_len[h])linenameok = 0;
				}
			}
		}
		found_attr = lineattrok;
		found_cmd = linecmdok;
		found_stat = linestatok;
		found_alm = linealmok;
		found_attr_undulator = lineattrok_undulator;
		found_cmd_undulator = linecmdok_undulator;
		found_stat_undulator = linestatok_undulator;
		found_alm_undulator = linealmok_undulator;
		cout << "actually read "<<found_attr<<" attributes"<<endl;
		cout << "actually created "<< linedbboolok<<" db of type bool"<<endl;
//		found_bool = linedbboolok;
		cout << "actually created "<< linedbstringok<<" db of type string"<<endl;
//		found_string = linedbstringok;
		cout << "PLCll::load_cond() finished successfully" << endl;
   	}
	fd.close();
	
}



//+------------------------------------------------------------------
/**
 *	method:	FSafety::init_attributeprop
 *
 *	description:	
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::init_attributeprop()
{
	

        Tango::Database *db = new Tango::Database();
	vector <Tango::DbData> vdb_datastat;
	DEBUG_STREAM << __func__<<" found_attr="<<found_attr;
	for(int i=0;i<found_attr;i++){
		vector <string> lastat;
		vector <string> destat;
	
		for (int k = 0; k < att_len[i]; k++){
//			lastat.push_back(string((bit_labels.at(i)[k])));
			lastat.push_back(string((val_labels[i])[k]));
			destat.push_back(string((val_pos[i])[k]));
//			destat.push_back(string((bit_positions.at(i)[k])));
		}	
		Tango::DbData db_datastat;
		Tango::DbDatum db_stat(att_names[i]), lab_stat("labels"), des_stat("positions");
		db_stat << (short int) 2;
		db_datastat.push_back(db_stat);
		lab_stat << lastat;
		des_stat << destat;
		db_datastat.push_back(lab_stat);
		db_datastat.push_back(des_stat);
		vdb_datastat.push_back(db_datastat);
	}
	vector<Tango::DbData>::iterator ite;

	try {
		db->set_timeout_millis(10000);	
		for( ite=vdb_datastat.begin() ; ite < vdb_datastat.end(); ite++ ){
			db->put_device_attribute_property(get_name(), *ite);
		}
	} catch (Tango::DevFailed &e) {
		cout<<"init attributeprop failed"<<endl;
		Tango::Except::print_exception(e);
	}
	DEBUG_STREAM << __func__<<" found_attr_undulator="<<found_attr_undulator;
	for(int i=0;i<found_attr_undulator;i++){
		vector <string> lastat;
		vector <string> destat;
	
		for (int k = 0; k < att_len_undulator[i]; k++){
//			lastat.push_back(string((bit_labels.at(i)[k])));
			lastat.push_back(string((val_labels_undulator[i])[k]));
			destat.push_back(string((val_pos_undulator[i])[k]));
//			destat.push_back(string((bit_positions.at(i)[k])));
		}	
		Tango::DbData db_datastat;
		Tango::DbDatum db_stat(att_names_undulator[i]), lab_stat_undulator("labels"), des_stat_undulator("positions");
		db_stat << (short int) 2;
		db_datastat.push_back(db_stat);
		lab_stat_undulator << lastat;
		des_stat_undulator << destat;
		db_datastat.push_back(lab_stat_undulator);
		db_datastat.push_back(des_stat_undulator);
		vdb_datastat.push_back(db_datastat);
	}
	vector<Tango::DbData>::iterator ite_undulator;

	try {
		db->set_timeout_millis(10000);	
		for( ite_undulator=vdb_datastat.begin() ; ite_undulator < vdb_datastat.end(); ite_undulator++ ){
			db->put_device_attribute_property(get_name(), *ite_undulator);
		}
	} catch (Tango::DevFailed &e) {
		cout<<"init attributeprop failed"<<endl;
		Tango::Except::print_exception(e);
	}
	delete db;
}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_switch_conf
 *
 *	description:	method to execute "LinacSwitchConf"
 *
 * @param	argin	from 0 to 9
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_switch_conf(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::linac_switch_conf(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "LinacSwitchConf",argin);
	sendCmd(cmd);

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::del_posto
 *
 *	description:	method to execute "DelPosto"
 *
 * @param	argin	from 0 to 15
 *
 *
//+------------------------------------------------------------------
void FSafety::del_posto(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::del_posto(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "DelPosto",argin);
	sendCmd(cmd);

}*/

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_bst_open
 *
 *	description:	method to execute "LinacBstOpen"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_bst_open()
{
	DEBUG_STREAM << "FSafety::linac_bst_open(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd((Tango::DevString)"LinacBstOpen 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_bst_close
 *
 *	description:	method to execute "LinacBstClose"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_bst_close()
{
	DEBUG_STREAM << "FSafety::linac_bst_close(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd((Tango::DevString)"LinacBstClose 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_rpasv
 *
 *	description:	method to execute "LinacRPasv"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_rpasv()
{
	DEBUG_STREAM << "FSafety::linac_rpasv(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd((Tango::DevString)"LinacRPasv 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_eme_ack
 *
 *	description:	method to execute "LinacEmeAck"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_eme_ack()
{
	DEBUG_STREAM << "FSafety::linac_eme_ack(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd((Tango::DevString)"LinacEmeAck 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_search_request
 *
 *	description:	method to execute "LinacSearchRequest"
 *	vFailed
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_search_request()
{
	DEBUG_STREAM << "FSafety::linac_search_request(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd((Tango::DevString)"LinacSearchRequest 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_search_start
 *
 *	description:	method to execute "LinacSearchStart"
 *
 * @param	argin	from 1 to 5
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_search_start(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::linac_search_start(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "LinacSearchStart",argin);
	sendCmd(cmd);

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_search_stop
 *
 *	description:	method to execute "LinacSearchStop"
 *
 * @param	argin	from 1 to 5
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_search_stop(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::linac_search_stop(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "LinacSearchStop",argin);
	sendCmd(cmd);	
}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_door_reset
 *
 *	description:	method to execute "LinacDoorReset"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_door_reset()
{
	DEBUG_STREAM << "FSafety::linac_door_reset(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd((Tango::DevString)"LinacDoorReset 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_door_open
 *
 *	description:	method to execute "LinacDoorOpen"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_door_open()
{
	DEBUG_STREAM << "FSafety::linac_door_open(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd((Tango::DevString)"LinacDoorOpen 0");
}




void FSafety::sendCmd_undulator(Tango::DevString argin)
{
//cmd must be in the format: "NameCmd n" where n is the argument
	cout<<"sending to lowlevel cmd "<< argin<<endl;
	int cmd_offset = 0;
	int number = -1;
	int rg = -1;
	char buf[MAX_LEN_LABEL];
	memset(buf, 0, MAX_LEN_LABEL);
	sscanf(argin,"%s %d",buf, &rg);
	printf ("%s -> %d\n",buf,rg);
	for(int k=0;k<(int)undulatorCmdCodeDescription.size();k++){
		if(strstr(buf, cmd_names_undulator[k])!=NULL){
			number = k;
		}
	}
	printf ("found number %d\n",number);
	Tango::DevVarShortArray ncmd;
	Tango::DeviceData Din2;
	ncmd.length(sizeof(st_cmd));
	ncmd[0] = number;
	switch(number){
		case CMD_UNDULATORSWITCHCONF:
			cout<<"sending to ll 103-"<<cmd_names_undulator[number]<<" arg: "<<rg<<endl;
			if((rg<0)||(rg>9)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names_undulator[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
				rg = 0x01<<(rg+8);
				prepared_cmd[6] = (u_char)(0x0ff&rg);//da confermare
				prepared_cmd[7] = (u_char)((0x0ff00&rg)>>8);//da confermare
			}
		break;
		case CMD_UNDULATORDELPOSTO:
			cout<<"sending to ll 101-"<<cmd_names_undulator[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>15)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names_undulator[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
//**************************************************updates busy_key
				int index = -1;
				for(int k=0;k<found_attr_undulator;k++){
					if(strstr((char*)(att_names_undulator[k]),"Undulator_badge_on")!=NULL) {
						index = k;
					}
				}
				if(index == -1){
					cout << "attr not found: Undulator_badge_on" << endl;
				}
				else{
					for(int k=0;k<att_len_undulator[index];k++){
						busy_key_undulator[k] = msg_acc_undulator[(8*(pos_idx_undulator[index])[k].byte_pos)+(pos_idx_undulator[index])[k].bit_pos];
					}
				}
//**************************************************updates busy_key
				u_short base = 0x00;
				for(int y=0;y<NUM_KEYS;y++){
					base += ((busy_key_undulator[y]?1:0)<<y);
					// base += ((busy_key_undulator[y]?0:1)<<y);
				}
				printf("BASE:%#x//",base);
				printf("delposti:%#x//",del_posti[rg]);
				rg = del_posti[rg];
				// printf("rg:%#x//",rg);
				// rg = base&rg;
				// printf("rg:%#x//",rg);
			//	prepared_cmd[14] = (u_char)(0x0ff&rg);
			//	prepared_cmd[15] = (u_char)((0x0ff00&rg)>>8);//da confermare
				prepared_cmd[15] = (u_char)(0x0ff&rg);
				prepared_cmd[14] = (u_char)((0x0ff00&rg)>>8);//da confermare
			}
		break;
		case CMD_UNDULATORSEARCHSTART:
			cout<<"sending to ll 103-"<<cmd_names_undulator[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>7)||rg==1||rg==2||rg==3){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names_undulator[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
				switch(rg){
				case 0:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 2;
				break;
				case 4:
					prepared_cmd[46] = 2;
					prepared_cmd[47] = 0;
				break;
				case 5:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 8;
				break;
				case 6:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 32;
				break;
				case 7:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 128;
				break;
				}
			}
		break;
		case CMD_UNDULATORSEARCHSTOP:
			cout<<"sending to ll 103-"<<cmd_names_undulator[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>7)||rg==1||rg==2||rg==3){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names_undulator[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
				switch(rg){
				case 0:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 4;
				break;
				case 4:
					prepared_cmd[46] = 4;
					prepared_cmd[47] = 0;
				break;
				case 5:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 16;
				break;
				case 6:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 64;
				break;
				case 7:
					prepared_cmd[46] = 1;
					prepared_cmd[47] = 0;
				break;
				}
			}
		break;
		case CMD_UNDULATORACKDOOR:
			cout<<"sending to ll 103-"<<cmd_names_undulator[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>7)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names_undulator[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
				switch(rg){
				case 0: // ACK_Y_I1_SO
					prepared_cmd[44] = 1;
					prepared_cmd[45] = 0;
				break;
				case 1: // ACK_Y_I1_E4
					prepared_cmd[44] = 2;
					prepared_cmd[45] = 0;
				break;
				case 2: // ACK_Y_I2_E4
					prepared_cmd[44] = 4;
					prepared_cmd[45] = 0;
				break;
				case 3: // ACK_Y_I1_E5
					prepared_cmd[44] = 8;
					prepared_cmd[45] = 0;
				break;
				case 4: // ACK_Y_I2_E5
					prepared_cmd[44] = 16;
					prepared_cmd[45] = 0;
				break;
				case 5: // ACK_Y_I1_E6
					prepared_cmd[44] = 32;
					prepared_cmd[45] = 0;
				break;
				case 6: // ACK_Y_I2_E6
					prepared_cmd[44] = 64;
					prepared_cmd[45] = 0;
				break;
				case 7: // ACK_Y_I1_E7
					prepared_cmd[44] = 128;
					prepared_cmd[45] = 0;
				break;
				}
			}
		break;
		case CMD_UNDULATORBSTOPEN:
			if((rg<1)||(rg>5)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names_undulator[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
				break;
			}
			else{
				switch(rg){
				case 1: // OPN_CMD_BST_SO1 (BST1_FEL1)
					cmd_offset = 16;
				break;
				case 2: // OPN_CMD_BST_SO2 (BST2_FEL1)
					cmd_offset = 20;
				break;
				case 3: // OPN_CMD_BST_SO3 (BST1_FEL2)
					cmd_offset = 24;
				break;
				case 4: // OPN_CMD_BST_SO4 (BST2_FEL2)
					cmd_offset = 28;
				break;
				case 5: // OPN_CMD_BST_SO5 (BST_DIAGN)
					cmd_offset = 34;
				}
			}
			printf("sending to ll 102 (6-9) %s\n", cmd_names_undulator[number]);
			cout<<"sending to ll 102 (6-9)"<<cmd_names_undulator[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
			prepared_cmd[cmd_offset] = (u_char)6;
			cout<<"position confirm: "<<pos_confirm[number-2]<<endl;	
			for(int i=0;i<(int)sizeof(st_cmd);i++){
				ncmd[i] = (short)prepared_cmd[i];
			}
			Din2 << ncmd;
			try {
				ll_server_undulator->command_inout("Send_cmd", Din2);
			}
			catch(Tango::DevFailed e) {
				cout<<"fallito invio comando "<<endl;	
			}
			usleep(TIME_CONFIRM);
			prepared_cmd[cmd_offset] = (u_char)9;
		break;
		case CMD_UNDULATORBSTCLOSE:
			if((rg<1)||(rg>5)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names_undulator[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
				break;
			}
			else{
				switch(rg){
				case 1: // CLD_CMD_BST_SO1 (BST1_FEL1)
					cmd_offset = 18;
				break;
				case 2: // CLD_CMD_BST_SO2 (BST2_FEL1)
					cmd_offset = 22;
				break;
				case 3: // CLD_CMD_BST_SO3 (BST1_FEL2)
					cmd_offset = 26;
				break;
				case 4: // CLD_CMD_BST_SO4 (BST2_FEL2)
					cmd_offset = 30;
				break;
				case 5: // CLD_CMD_BST_SO5 (BST_DIAGN)
					cmd_offset = 36;
				}
			}
			printf("sending to ll 102 (6-9) %s\n", cmd_names_undulator[number]);
			cout<<"sending to ll 102 (6-9)"<<cmd_names_undulator[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
			prepared_cmd[cmd_offset] = (u_char)6;
			cout<<"position confirm: "<<pos_confirm[number-2]<<endl;	
			for(int i=0;i<(int)sizeof(st_cmd);i++){
				ncmd[i] = (short)prepared_cmd[i];
			}
			Din2 << ncmd;
			try {
				ll_server_undulator->command_inout("Send_cmd", Din2);
			}
			catch(Tango::DevFailed e) {
				cout<<"fallito invio comando "<<endl;	
			}
			usleep(TIME_CONFIRM);
			prepared_cmd[cmd_offset] = (u_char)9;
		break;
		case CMD_UNDULATORRPASV:
		case CMD_UNDULATOREMEACK:
			printf("sending to ll 102 (6-9) %s\n", cmd_names_undulator[number]);
			cout<<"sending to ll 102 (6-9)"<<cmd_names_undulator[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
			// 32.0 REINT_PASS -> pos_confirm[number-2]
			// 38.0 ACK_EME_SO -> pos_confirm[number-2]
			prepared_cmd[pos_confirm[number-2]] = (u_char)6;
			cout<<"position confirm: "<<pos_confirm[number-2]<<endl;	
			for(int i=0;i<(int)sizeof(st_cmd);i++){
				ncmd[i] = (short)prepared_cmd[i];
			}
			Din2 << ncmd;
			try {
				ll_server_undulator->command_inout("Send_cmd", Din2);
			}
			catch(Tango::DevFailed e) {
				cout<<"fallito invio comando "<<endl;	
			}
			usleep(TIME_CONFIRM);
			prepared_cmd[pos_confirm[number-2]] = (u_char)9;
		break;
		case CMD_UNDULATORSEARCHREQ:
			cout<<"sending to ll 103-"<<cmd_names_undulator[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
			rg = 0x01<<(off_search[number]);
			prepared_cmd[46] = 0;
			prepared_cmd[47] = 1;
		break;
		case CMD_UNDULATORDOORRESET:
			cout<<"sending to ll 103-"<<cmd_names_undulator[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
			rg = 0x01<<(off_search[number]);
			prepared_cmd[46] = 8;
			prepared_cmd[47] = 0;
		break;
		case CMD_UNDULATORDOOROPEN:
			cout<<"sending to ll 103-"<<cmd_names_undulator[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
			rg = 0x01<<(off_search[number]);
			prepared_cmd[46] = 64;
			prepared_cmd[47] = 0;
		break;
		case CMD_UNDULATORSERVICE:
			cout<<"sending to ll 103-"<<cmd_names_undulator[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>13)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names_undulator[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes_undulator[number]);
				switch(rg){
				case 0:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 1;//forza ronda SO
				break;
				case 1:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 2;;//forza ronda e4
				break;
				case 2:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 4;//forza ronda e5
				break;
				case 3:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 8;//forza ronda e6
				break;
				case 4:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 16;//forza ronda e7
				break;
				case 5:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 32;//forza ronda esa1
				break;
				case 6:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 64;//forza ronda esa2
				break;
				case 7:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 1;//forza caduta ronda SO
				break;
				case 8:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 2;;//forza caduta ronda e4
				break;
				case 9:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 4;//forza caduta ronda e5
				break;
				case 10:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 8;//forza caduta ronda e6
				break;
				case 11:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 16;//forza caduta ronda e7
				break;
				case 12:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 32;//forza caduta ronda esa1
				break;
				case 13:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 64;//forza caduta ronda esa2
				break;
				}
			}
		break;
		default:
			TangoSys_MemStream os;
			os << "wrong syntax or command " <<buf<< ends;
			Tango::Except::throw_exception(
				(const char *)"error while writing cmd",
				os.str(),
				(const char *)"FSafety::sendCmd()");
		break;
	}
	cout<<"cmd of length "<<sizeof(st_cmd)<<" coded:";
	for(int i=0;i<(int)sizeof(st_cmd);i++){
		printf("%X//",prepared_cmd[i]);
		if(i%10==0)cout<<endl;
	}
	cout<<endl;
	
//cout<<"casting u_char of len "<<sizeof(u_char)<<" to short of len "<<sizeof(short)<<" example:"<<(short)prepared_cmd[0]<<endl;
	for(int i=0;i<(int)sizeof(st_cmd);i++){
		ncmd[i] = (short)prepared_cmd[i];
	}
	Tango::DeviceData Din;
	Din << ncmd;
		if (ll_server_undulator == NULL) {
			return;
		}
	try {
		ll_server_undulator->command_inout("Send_cmd", Din);
	}
	catch(Tango::DevFailed e) {
		cout<<"fallito invio comando "<<endl;	
	}

}

void FSafety::sendCmd(Tango::DevString argin)
{
//cmd must be in the format: "NameCmd n" where n is the argument
	cout<<"sending to lowlevel cmd "<< argin<<endl;
	int number = -1;
	int rg = -1;
	char buf[MAX_LEN_LABEL];
	memset(buf, 0, MAX_LEN_LABEL);
	sscanf(argin,"%s %d",buf, &rg);
	printf ("%s -> %d\n",buf,rg);
	for(int k=0;k<(int)cmdCodeDescription.size();k++){
		if(strstr(buf, cmd_names[k])!=NULL){
			number = k;
		}
	}
	cout<<"found number "<<number<<endl;
	Tango::DevVarShortArray ncmd;
	Tango::DeviceData Din2;
	ncmd.length(sizeof(st_cmd));
	ncmd[0] = number;
	switch(number){
		case CMD_LINACSWITCHCONF:
			cout<<"sending to ll 103-"<<cmd_names[number]<<" arg: "<<rg<<endl;
			if((rg<0)||(rg>11)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
				if (rg<8) {
					rg = 0x01<<(rg+8);
					prepared_cmd[6] = (u_char)(0x0ff&rg);//da confermare
					prepared_cmd[7] = (u_char)((0x0ff00&rg)>>8);//da confermare
				}
				else {
					rg = 0x01<<(rg-8);
					prepared_cmd[6] = (u_char)(0x0ff&rg);//da confermare
					prepared_cmd[7] = (u_char)(0);//da confermare
				}
			}
		break;
		case CMD_DELPOSTO:
			cout<<"sending to ll 101-"<<cmd_names[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>15)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
//**************************************************updates busy_key
				int index = -1;
				for(int k=0;k<found_attr;k++){
					if(strstr((char*)(att_names[k]),"Linac_badge_on")!=NULL) {
						index = k;
					}
				}
				if(index == -1){
					cout << "attr not found: Linac_badge_on" << endl;
				}
				else{
					for(int k=0;k<att_len[index];k++){
						busy_key[k] = msg_acc[(8*(pos_idx[index])[k].byte_pos)+(pos_idx[index])[k].bit_pos];
					}
				}
//**************************************************updates busy_key
				u_short base = 0x00;
				for(int y=0;y<NUM_KEYS;y++){
					base += ((busy_key[y]?1:0)<<y);
				}
				printf("BASE:%#x//",base);
				printf("delposti:%#x//",del_posti[rg]);
				rg = del_posti[rg];
				// printf("rg:%#x//",rg);
				// rg = base&rg;
				// printf("rg:%#x//",rg);
			//	prepared_cmd[14] = (u_char)(0x0ff&rg);
			//	prepared_cmd[15] = (u_char)((0x0ff00&rg)>>8);//da confermare
				prepared_cmd[15] = (u_char)(0x0ff&rg);
				prepared_cmd[14] = (u_char)((0x0ff00&rg)>>8);//da confermare
			}
		break;
		case CMD_LINACSEARCHSTART:
			cout<<"sending to ll 103-"<<cmd_names[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>5)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
				switch(rg){
				case 0:
					prepared_cmd[46] = 2;
					prepared_cmd[47] = 0;
				break;
				case 1:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 8;
				break;
				case 2:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 32;
				break;
				case 3:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 128;
				break;
				case 4:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 2;
				break;
				case 5:
					prepared_cmd[46] = 16;
					prepared_cmd[47] = 0;
				break;
				}
			}
		break;
		case CMD_LINACSEARCHSTOP:
			cout<<"sending to ll 103-"<<cmd_names[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>5)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
				switch(rg){
				case 0:
					prepared_cmd[46] = 4;
					prepared_cmd[47] = 0;
				break;
				case 1:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 16;
				break;
				case 2:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 64;
				break;
				case 3:
					prepared_cmd[46] = 1;
					prepared_cmd[47] = 0;
				break;
				case 4:
					prepared_cmd[46] = 0;
					prepared_cmd[47] = 4;
				break;
				case 5:
					prepared_cmd[46] = 32;
					prepared_cmd[47] = 0;
				break;
				}
			}
		break;
		case CMD_LINACACKDOOR:
			cout<<"sending to ll 103-"<<cmd_names[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>13)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
				switch(rg){
				case 0: // ACK_Y_I1_E0
					prepared_cmd[44] = 0;
					prepared_cmd[45] = 1;
				break;
				case 1: // ACK_Y_I2_E0
					prepared_cmd[44] = 0;
					prepared_cmd[45] = 2;
				break;
				case 2: // ACK_Y_I3_E0
					prepared_cmd[44] = 0;
					prepared_cmd[45] = 4;
				break;
				case 3: // ACK_Y_I1_EXT I1_nord
					prepared_cmd[44] = 0;
					prepared_cmd[45] = 8;
				break;
				case 4: // ACK_Y_I2_EXT I2_nord
					prepared_cmd[44] = 0;
					prepared_cmd[45] = 16;
				break;
				case 5: // ACK_Y_T1_I I1_T1
					prepared_cmd[44] = 0;
					prepared_cmd[45] = 64;
				break;
				case 6: // ACK_Y_TL_I I2D
					prepared_cmd[44] = 0;
					prepared_cmd[45] = 128;
				break;				
				case 7: // ACK_Y_I1_E1
					prepared_cmd[44] = 1;
					prepared_cmd[45] = 0;
				break;
				case 8: // ACK_Y_I2_E1
					prepared_cmd[44] = 2;
					prepared_cmd[45] = 0;
				break;
				case 9: // ACK_Y_I1_E2
					prepared_cmd[44] = 4;
					prepared_cmd[45] = 0;
				break;
				case 10: // ACK_Y_I2_E2
					prepared_cmd[44] = 8;
					prepared_cmd[45] = 0;
				break;
				case 11: // ACK_Y_I1_E3
					prepared_cmd[44] = 16;
					prepared_cmd[45] = 0;
				break;
				case 12: // ACK_Y_I2_E3
					prepared_cmd[44] = 32;
					prepared_cmd[45] = 0;
				break;
				}
			}
		break;
		case CMD_LINACBSTOPEN:
		case CMD_LINACBSTCLOSE:
		case CMD_LINACRPASV:
		case CMD_LINACEMEACK:
			cout<<"sending to ll 102 (6-9)"<<cmd_names[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
			prepared_cmd[pos_confirm[number-2]] = (u_char)6;
			cout<<"position confirm: "<<pos_confirm[number-2]<<endl;	
			for(int i=0;i<(int)sizeof(st_cmd);i++){
				ncmd[i] = (short)prepared_cmd[i];
			}
			Din2 << ncmd;
			try {
				ll_server->command_inout("Send_cmd", Din2);
			}
			catch(Tango::DevFailed e) {
				cout<<"fallito invio comando "<<endl;	
			}
			usleep(TIME_CONFIRM);
			prepared_cmd[pos_confirm[number-2]] = (u_char)9;
		break;
		case CMD_LINACEMETLACK:
			cout<<"sending to ll 102 (6-9)"<<cmd_names[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
			prepared_cmd[36] = (u_char)6;
			cout<<"position confirm: 36"<<endl;	
			for(int i=0;i<(int)sizeof(st_cmd);i++){
				ncmd[i] = (short)prepared_cmd[i];
			}
			Din2 << ncmd;
			try {
				ll_server->command_inout("Send_cmd", Din2);
			}
			catch(Tango::DevFailed e) {
				cout<<"fallito invio comando "<<endl;	
			}
			usleep(TIME_CONFIRM);
			prepared_cmd[36] = (u_char)9;
		break;
		case CMD_LINACSEARCHREQ:
			cout<<"sending to ll 103-"<<cmd_names[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
			rg = 0x01<<(off_search[number]);
			prepared_cmd[46] = 0;
			prepared_cmd[47] = 1;
		break;
		case CMD_LINACDOORRESET:
			cout<<"sending to ll 103-"<<cmd_names[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
			rg = 0x01<<(off_search[number]);
			prepared_cmd[46] = 8;
			prepared_cmd[47] = 0;
		break;
		case CMD_LINACDOOROPEN:
			cout<<"sending to ll 103-"<<cmd_names[number]<<endl;	
			memset(&prepared_cmd, 0, sizeof(st_cmd));
			prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
			rg = 0x01<<(off_search[number]);
			prepared_cmd[46] = 64;
			prepared_cmd[47] = 0;
		break;
		case CMD_SERVICE:
			cout<<"sending to ll 103-"<<cmd_names[number]<<" arg: "<<rg<<endl;	
			if((rg<0)||(rg>11)){
				TangoSys_MemStream os;
				os << "wrong argument for cmd " <<cmd_names[number]<< ends;
				Tango::Except::throw_exception(
					(const char *)"error while writing cmd",
					os.str(),
					(const char *)"FSafety::sendCmd()");
			}
			else{
				memset(&prepared_cmd, 0, sizeof(st_cmd));
				prepared_cmd[0] = (u_char)(0x0ff&cmd_codes[number]);
				switch(rg){
				case 5:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 1;//forza ronda linac
				break;
				case 0:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 2;;//forza ronda e0
				break;
				case 1:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 4;
				break;
				case 2:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 8;
				break;
				case 3:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 16;
				break;
				case 4:
					prepared_cmd[4] = 0;
					prepared_cmd[5] = 32;//forza ronda tl
				break;
				case 11:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 1;//forza caduta ronda linac
				break;
				case 6:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 2;;//forza caduta ronda e0
				break;
				case 7:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 4;
				break;
				case 8:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 8;
				break;
				case 9:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 16;
				break;
				case 10:
					prepared_cmd[5] = 0;
					prepared_cmd[4] = 32;//forza caduta ronda tl
				break;
				}
			}
		break;
		default:
			TangoSys_MemStream os;
			os << "wrong syntax or command " <<buf<< ends;
			Tango::Except::throw_exception(
				(const char *)"error while writing cmd",
				os.str(),
				(const char *)"FSafety::sendCmd()");
		break;
	}
	cout<<"cmd of length "<<sizeof(st_cmd)<<" coded:";
	for(int i=0;i<(int)sizeof(st_cmd);i++){
		printf("%X//",prepared_cmd[i]);
		if(i%10==0)cout<<endl;
	}
	cout<<endl;
	
//cout<<"casting u_char of len "<<sizeof(u_char)<<" to short of len "<<sizeof(short)<<" example:"<<(short)prepared_cmd[0]<<endl;
	for(int i=0;i<(int)sizeof(st_cmd);i++){
		ncmd[i] = (short)prepared_cmd[i];
	}
	Tango::DeviceData Din;
	Din << ncmd;
	try {
		ll_server->command_inout("Send_cmd", Din);
	}
	catch(Tango::DevFailed e) {
		cout<<"fallito invio comando "<<endl;	
	}

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_ack_door
 *
 *	description:	method to execute "LinacAckDoor"
 *
 * @param	argin	from 0 to 2
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_ack_door(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::linac_ack_door(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "LinacAckDoor",argin);
	sendCmd(cmd);

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::service
 *
 *	description:	method to execute "Service"
 *
 * @param	argin	service code
 *
 *
//+------------------------------------------------------------------
void FSafety::service(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::service(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "Service",argin);
	sendCmd(cmd);

}
*/

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_del_posto
 *
 *	description:	method to execute "UndulatorDelPosto"
 *
 * @param	argin	from 0 to 15
 *
 */
//+------------------------------------------------------------------
//void FSafety::undulator_del_posto(Tango::DevShort argin)
//{
//	DEBUG_STREAM << "FSafety::undulator_del_posto(): entering... !" << endl;
//
//	//	Add your own code to control device here
//	char cmd[MAX_LEN_DESC];
//	memset(cmd, 0, MAX_LEN_DESC);
//	sprintf(cmd, "%s %d", "UndulatorDelPosto",argin);
//	sendCmd_undulator(cmd);
//
//}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_bst_open
 *
 *	description:	method to execute "UndulatorBstOpen"
 *
 * @param	argin	bst id from 1 to 5
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_bst_open(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::undulator_bst_open(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "UndulatorBstOpen",argin);
	sendCmd_undulator(cmd);

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_bst_close
 *
 *	description:	method to execute "UndulatorBstClose"
 *
 * @param	argin	bst id from 1 to 5
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_bst_close(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::undulator_bst_close(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "UndulatorBstClose",argin);
	sendCmd_undulator(cmd);

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_rpasv
 *
 *	description:	method to execute "UndulatorRPasv"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_rpasv()
{
	DEBUG_STREAM << "FSafety::undulator_rpasv(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd_undulator((Tango::DevString)"UndulatorRPasv 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_eme_ack
 *
 *	description:	method to execute "UndulatorEmeAck"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_eme_ack()
{
	DEBUG_STREAM << "FSafety::undulator_eme_ack(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd_undulator((Tango::DevString)"UndulatorEmeAck 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_search_request
 *
 *	description:	method to execute "UndulatorSearchRequest"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_search_request()
{
	DEBUG_STREAM << "FSafety::undulator_search_request(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd_undulator((Tango::DevString)"UndulatorSearchRequest 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_search_start
 *
 *	description:	method to execute "UndulatorSearchStart"
 *
 * @param	argin	0=UH 1=ESA1 2=ESA2 4-7=EmergencyExit4-7
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_search_start(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::undulator_search_start(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "UndulatorSearchStart",argin);
	sendCmd_undulator(cmd);

}


//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_search_stop
 *
 *	description:	method to execute "UndulatorSearchStop"
 *
 * @param	argin	0=UH 1=ESA1 2=ESA2 4-7=EmergencyExit4-7
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_search_stop(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::undulator_search_stop(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "UndulatorSearchStop",argin);
	sendCmd_undulator(cmd);

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_door_reset
 *
 *	description:	method to execute "UndulatorDoorReset"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_door_reset()
{
	DEBUG_STREAM << "FSafety::undulator_door_reset(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd_undulator((Tango::DevString)"UndulatorDoorReset 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_door_open
 *
 *	description:	method to execute "UndulatorDoorOpen"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_door_open()
{
	DEBUG_STREAM << "FSafety::undulator_door_open(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd_undulator((Tango::DevString)"UndulatorDoorOpen 0");

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_ack_door
 *
 *	description:	method to execute "UndulatorAckDoor"
 *
 * @param	argin	from 0 to 80
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_ack_door(Tango::DevShort argin)
{
	DEBUG_STREAM << "FSafety::undulator_ack_door(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	memset(cmd, 0, MAX_LEN_DESC);
	sprintf(cmd, "%s %d", "UndulatorAckDoor",argin);
	sendCmd_undulator(cmd);

}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_service
 *
 *	description:	method to execute "UndulatorService"
 *	0,5 undulator hall
 *	1,6 E4
 *	2,7 E5
 *	3,8 E6
 *	4,9 E7
 *
 * @param	argin	service code
 *
 */
//+------------------------------------------------------------------
//void FSafety::undulator_service(Tango::DevShort argin)
//{
//	DEBUG_STREAM << "FSafety::undulator_service(): entering... !" << endl;
//
//	//	Add your own code to control device here
//	char cmd[MAX_LEN_DESC];
//	memset(cmd, 0, MAX_LEN_DESC);
//	sprintf(cmd, "%s %d", "UndulatorService",argin);
//	sendCmd_undulator(cmd);
//
//}



//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_eme_tlack
 *
 *	description:	method to execute "LinacEmeTLAck"
 *
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_eme_tlack()
{
	DEBUG_STREAM << "FSafety::linac_eme_tlack(): entering... !" << endl;

	//	Add your own code to control device here
	sendCmd((Tango::DevString)"LinacEmeTLAck 0");

}



//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_del_posto
 *
 *	description:	method to execute "LinacDelPosto"
 *
 * @param	argin	
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_del_posto(const Tango::DevVarStringArray *argin)
{
	DEBUG_STREAM << "FSafety::linac_del_posto(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	if (strcmp((*argin)[1], "tram29busto")) {
		Tango::Except::throw_exception(
			(const char *) "wrong password",
			(const char *) "wrong password",
			(const char *) "linac_del_posto()", Tango::ERR);			
		return;
	}
	memset(cmd, 0, MAX_LEN_DESC);
	strcpy(cmd, "DelPosto ");
	strcat(cmd, (*argin)[0]);
	// cout << cmd << endl;
	sendCmd(cmd);
}

//+------------------------------------------------------------------
/**
 *	method:	FSafety::linac_service
 *
 *	description:	method to execute "LinacService"
 *
 * @param	argin	
 *
 */
//+------------------------------------------------------------------
void FSafety::linac_service(const Tango::DevVarStringArray *argin)
{
	DEBUG_STREAM << "FSafety::linac_service(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	if (strcmp((*argin)[1], "tram29busto")) {
		Tango::Except::throw_exception(
			(const char *) "wrong password",
			(const char *) "wrong password",
			(const char *) "linac_del_posto()", Tango::ERR);			
		return;
	}
	memset(cmd, 0, MAX_LEN_DESC);
	strcpy(cmd, "Service ");
	strcat(cmd, (*argin)[0]);
	sendCmd(cmd);

}


//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_del_posto
 *
 *	description:	method to execute "UndulatorDelPosto"
 *
 * @param	argin	from 0 to 15 + password
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_del_posto(const Tango::DevVarStringArray *argin)
{
	DEBUG_STREAM << "FSafety::undulator_del_posto(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	if (strcmp((*argin)[1], "tram29busto")) {
		Tango::Except::throw_exception(
			(const char *) "wrong password",
			(const char *) "wrong password",
			(const char *) "linac_del_posto()", Tango::ERR);			
		return;
	}
	memset(cmd, 0, MAX_LEN_DESC);
	strcpy(cmd, "UndulatorDelPosto ");
	strcat(cmd, (*argin)[0]);
	// cout << cmd << endl;
	sendCmd_undulator(cmd);

}


//+------------------------------------------------------------------
/**
 *	method:	FSafety::undulator_service
 *
 *	description:	method to execute "UndulatorService"
 *	0,5 undulator hall
 *	1,6 E4
 *	2,7 E5
 *	3,8 E6
 *	4,9 E7
 *
 * @param	argin	service code
 *
 */
//+------------------------------------------------------------------
void FSafety::undulator_service(const Tango::DevVarStringArray *argin)
{
	DEBUG_STREAM << "FSafety::undulator_service(): entering... !" << endl;

	//	Add your own code to control device here
	char cmd[MAX_LEN_DESC];
	if (strcmp((*argin)[1], "tram29busto")) {
		Tango::Except::throw_exception(
			(const char *) "wrong password",
			(const char *) "wrong password",
			(const char *) "linac_del_posto()", Tango::ERR);			
		return;
	}
	memset(cmd, 0, MAX_LEN_DESC);
	strcpy(cmd, "UndulatorService ");
	strcat(cmd, (*argin)[0]);
	// sendCmd(cmd);
	sendCmd_undulator(cmd);

}


}	//	namespace
